// java wrapper for vtkAbstractArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  const char    *temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAbstractArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  int      temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetDataTypeSize_15(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  int      temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetDataTypeSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetDataTypeSize_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractArray *op;
  int      temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetDataTypeSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_GetValues_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAbstractArray *op;
  vtkIdList  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));
  temp1 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkAbstractArray"));

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->GetValues(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_GetValues_18(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkAbstractArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkAbstractArray"));

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->GetValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetNumberOfElementComponents_19(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  int      temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetNumberOfElementComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetElementComponentSize_110(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  int      temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetElementComponentSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_DeepCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractArray *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractArray"));

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_CopyValue_112(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkAbstractArray *op;
  int      temp0;
  int      temp1;
  vtkAbstractArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkAbstractArray"));

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->CopyValue(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_Squeeze_113(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_Resize_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractArray *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->Resize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_Reset_115(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetSize_116(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  vtkIdType   temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetMaxId_117(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  vtkIdType   temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetMaxId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractArray_GetActualMemorySize_118(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
   unsigned long     temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_SetName_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->SetName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractArray_GetName_120(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  const char    *temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractArray_GetDataTypeAsString_121(JNIEnv *env, jobject obj)
{
  vtkAbstractArray *op;
  const char    *temp20;

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  temp20 = (op)->GetDataTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractArray_ConvertFromContiguous_122(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAbstractArray *op;
  vtkDataArray  *temp0;
  vtkIdTypeArray  *temp1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdTypeArray"));

  op = (vtkAbstractArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractArray");
  op->ConvertFromContiguous(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAbstractArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAbstractArray_Typecast);
}
