// java wrapper for vtkAnimationCue object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnimationCue.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAnimationCue_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAnimationCue",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnimationCue_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  const char    *temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationCue_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnimationCue *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetTimeMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnimationCue *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->SetTimeMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationCue_GetTimeMode_13(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  int      temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  temp20 = (op)->GetTimeMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetTimeModeToRelative_14(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->SetTimeModeToRelative();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetTimeModeToNormalized_15(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->SetTimeModeToNormalized();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetStartTime_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnimationCue *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->SetStartTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationCue_GetStartTime_17(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  double   temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  temp20 = (op)->GetStartTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetEndTime_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnimationCue *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->SetEndTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationCue_GetEndTime_19(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  double   temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  temp20 = (op)->GetEndTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_Tick_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkAnimationCue *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->Tick(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_Initialize_111(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_Finalize_112(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationCue");
  op->Finalize();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAnimationCue_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *aNewOne = vtkAnimationCue::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAnimationCue_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAnimationCue_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAnimationCue_Typecast);
}
