// java wrapper for vtkDataArrayCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataArrayCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataArrayCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataArrayCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataArrayCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataArrayCollection *op;
  const char    *temp20;

  op = (vtkDataArrayCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArrayCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArrayCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArrayCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArrayCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArrayCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArrayCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataArrayCollection *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkDataArrayCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArrayCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataArrayCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkDataArrayCollection *op;
  vtkDataArray  *temp20;
  jobject tempH;

  op = (vtkDataArrayCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArrayCollection");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataArrayCollection_GetItem_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArrayCollection *op;
  int      temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataArrayCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArrayCollection");
  temp20 = (op)->GetItem(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataArrayCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataArrayCollection *aNewOne = vtkDataArrayCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataArrayCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataArrayCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataArrayCollection_Typecast);
}
