// java wrapper for vtkMultiThreader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiThreader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiThreader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiThreader",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiThreader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiThreader *op;
  const char    *temp20;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiThreader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiThreader_SetNumberOfThreads_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiThreader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreader_GetNumberOfThreadsMinValue_13(JNIEnv *env, jobject obj)
{
  vtkMultiThreader *op;
  int      temp20;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  temp20 = (op)->GetNumberOfThreadsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreader_GetNumberOfThreadsMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkMultiThreader *op;
  int      temp20;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  temp20 = (op)->GetNumberOfThreadsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreader_GetNumberOfThreads_15(JNIEnv *env, jobject obj)
{
  vtkMultiThreader *op;
  int      temp20;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiThreader_SetGlobalMaximumNumberOfThreads_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiThreader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  op->SetGlobalMaximumNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreader_GetGlobalMaximumNumberOfThreads_17(JNIEnv *env, jobject obj)
{
  vtkMultiThreader *op;
  int      temp20;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  temp20 = (op)->GetGlobalMaximumNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiThreader_SetGlobalDefaultNumberOfThreads_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiThreader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  op->SetGlobalDefaultNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreader_GetGlobalDefaultNumberOfThreads_19(JNIEnv *env, jobject obj)
{
  vtkMultiThreader *op;
  int      temp20;

  op = (vtkMultiThreader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiThreader");
  temp20 = (op)->GetGlobalDefaultNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMultiThreader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMultiThreader *aNewOne = vtkMultiThreader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMultiThreader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMultiThreader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMultiThreader_Typecast);
}
