// java wrapper for vtkCastToConcrete object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCastToConcrete.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCastToConcrete_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCastToConcrete",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCastToConcrete_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCastToConcrete *op;
  const char    *temp20;

  op = (vtkCastToConcrete *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCastToConcrete");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCastToConcrete_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCastToConcrete *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCastToConcrete *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCastToConcrete");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCastToConcrete_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCastToConcrete *aNewOne = vtkCastToConcrete::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCastToConcrete_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCastToConcrete_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCastToConcrete_Typecast);
}
