// java wrapper for vtkCellTypes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellTypes.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellTypes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellTypes",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellTypes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellTypes *op;
  const char    *temp20;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellTypes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellTypes *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTypes_InsertCell_13(JNIEnv *env, jobject obj,jint id0,jchar id1,jint id2)
{
  vtkCellTypes *op;
  int      temp0;
   unsigned char     temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  op->InsertCell(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_InsertNextCell_14(JNIEnv *env, jobject obj,jchar id0,jint id1)
{
  vtkCellTypes *op;
   unsigned char     temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->InsertNextCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTypes_SetCellTypes_15(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkCellTypes *op;
  int      temp0;
  vtkUnsignedCharArray  *temp1;
  vtkIntArray  *temp2;
  temp0 = id0;
  temp1 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkUnsignedCharArray"));
  temp2 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIntArray"));

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  op->SetCellTypes(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_GetCellLocation_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellTypes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->GetCellLocation(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTypes_DeleteCell_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellTypes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  op->DeleteCell(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_GetNumberOfTypes_18(JNIEnv *env, jobject obj)
{
  vtkCellTypes *op;
  int      temp20;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->GetNumberOfTypes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_IsType_19(JNIEnv *env, jobject obj,jchar id0)
{
  vtkCellTypes *op;
   unsigned char     temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->IsType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_InsertNextType_110(JNIEnv *env, jobject obj,jchar id0)
{
  vtkCellTypes *op;
   unsigned char     temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->InsertNextType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_GetCellType_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellTypes *op;
  int      temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTypes_Squeeze_112(JNIEnv *env, jobject obj)
{
  vtkCellTypes *op;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTypes_Reset_113(JNIEnv *env, jobject obj)
{
  vtkCellTypes *op;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTypes_GetActualMemorySize_114(JNIEnv *env, jobject obj)
{
  vtkCellTypes *op;
   unsigned long     temp20;

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTypes_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellTypes *op;
  vtkCellTypes  *temp0;
  temp0 = (vtkCellTypes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellTypes"));

  op = (vtkCellTypes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellTypes");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellTypes_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCellTypes *aNewOne = vtkCellTypes::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellTypes_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellTypes_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellTypes_Typecast);
}
