// java wrapper for vtkGenericSubdivisionErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericSubdivisionErrorMetric.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericSubdivisionErrorMetric_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericSubdivisionErrorMetric",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericSubdivisionErrorMetric_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericSubdivisionErrorMetric *op;
  const char    *temp20;

  op = (vtkGenericSubdivisionErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericSubdivisionErrorMetric");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericSubdivisionErrorMetric_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericSubdivisionErrorMetric *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericSubdivisionErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericSubdivisionErrorMetric");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericSubdivisionErrorMetric_SetGenericCell_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericSubdivisionErrorMetric *op;
  vtkGenericAdaptorCell  *temp0;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAdaptorCell"));

  op = (vtkGenericSubdivisionErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericSubdivisionErrorMetric");
  op->SetGenericCell(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericSubdivisionErrorMetric_GetGenericCell_13(JNIEnv *env, jobject obj)
{
  vtkGenericSubdivisionErrorMetric *op;
  vtkGenericAdaptorCell  *temp20;
  jobject tempH;

  op = (vtkGenericSubdivisionErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericSubdivisionErrorMetric");
  temp20 = (op)->GetGenericCell();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericAdaptorCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericSubdivisionErrorMetric_SetDataSet_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericSubdivisionErrorMetric *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericDataSet"));

  op = (vtkGenericSubdivisionErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericSubdivisionErrorMetric");
  op->SetDataSet(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericSubdivisionErrorMetric_GetDataSet_15(JNIEnv *env, jobject obj)
{
  vtkGenericSubdivisionErrorMetric *op;
  vtkGenericDataSet  *temp20;
  jobject tempH;

  op = (vtkGenericSubdivisionErrorMetric *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericSubdivisionErrorMetric");
  temp20 = (op)->GetDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericSubdivisionErrorMetric_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericSubdivisionErrorMetric_Typecast);
}
