// java wrapper for vtkHierarchicalBoxDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalBoxDataSet.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkHierarchicalDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalBoxDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalBoxDataSet",dType)) { return me; }
  if ((res= vtkHierarchicalDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  const char    *temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalBoxDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  int      temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetDataSet_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->GetDataSet(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetDataSet_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->GetDataSet(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_SetRefinementRatio_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  op->SetRefinementRatio(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetRefinementRatio_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->GetRefinementRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GenerateVisibilityArrays_17(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  op->GenerateVisibilityArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_ShallowCopy_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_DeepCopy_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_BOX_110(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformationIntegerVectorKey  *temp20;
  jobject tempH;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->BOX();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_NUMBER_OF_BLANKED_POINTS_111(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformationIdTypeKey  *temp20;
  jobject tempH;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->NUMBER_OF_BLANKED_POINTS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIdTypeKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetNumberOfPoints_112(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkIdType   temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalBoxDataSet");
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalBoxDataSet_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *aNewOne = vtkHierarchicalBoxDataSet::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalBoxDataSet_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalBoxDataSet_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalBoxDataSet_Typecast);
}
