// java wrapper for vtkInformationKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObjectBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationKey",dType)) { return me; }
  if ((res= vtkObjectBase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationKey *op;
  const char    *temp20;

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKey_Register_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationKey *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKey_UnRegister_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationKey *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationKey_GetName_14(JNIEnv *env, jobject obj)
{
  vtkInformationKey *op;
  const char    *temp20;

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationKey_GetLocation_15(JNIEnv *env, jobject obj)
{
  vtkInformationKey *op;
  const char    *temp20;

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  temp20 = (op)->GetLocation();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKey_ShallowCopy_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKey_DeepCopy_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  op->DeepCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKey_Remove_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationKey *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  op->Remove(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKey_Report_19(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationKey *op;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGarbageCollector"));

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  op->Report(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKey_Print_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationKey *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKey");
  op->Print(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationKey_Typecast);
}
