// java wrapper for vtkPiecewiseFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPiecewiseFunction.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPiecewiseFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPiecewiseFunction",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPiecewiseFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;
  const char    *temp20;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPiecewiseFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_DeepCopy_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPiecewiseFunction *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_ShallowCopy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPiecewiseFunction *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunction_GetDataObjectType_15(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;
  int      temp20;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunction_GetSize_16(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;
  int      temp20;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunction_AddPoint_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkPiecewiseFunction *op;
  double   temp0;
  double   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->AddPoint(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunction_RemovePoint_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPiecewiseFunction *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->RemovePoint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_RemoveAllPoints_19(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->RemoveAllPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_AddSegment_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkPiecewiseFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->AddSegment(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPiecewiseFunction_GetValue_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPiecewiseFunction *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPiecewiseFunction_GetRange_112(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;
  double  *temp20;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunction_AdjustRange_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPiecewiseFunction *op;
  double temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->AdjustRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_SetClamping_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkPiecewiseFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->SetClamping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunction_GetClamping_115(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;
  int      temp20;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetClamping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_ClampingOn_116(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->ClampingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunction_ClampingOff_117(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  op->ClampingOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPiecewiseFunction_GetType_118(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;
  const char    *temp20;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetType();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPiecewiseFunction_GetFirstNonZeroValue_119(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *op;
  double   temp20;

  op = (vtkPiecewiseFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPiecewiseFunction");
  temp20 = (op)->GetFirstNonZeroValue();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPiecewiseFunction_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunction *aNewOne = vtkPiecewiseFunction::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPiecewiseFunction_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPiecewiseFunction_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPiecewiseFunction_Typecast);
}
