// java wrapper for vtkPropAssembly object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPropAssembly.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProp_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPropAssembly_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPropAssembly",dType)) { return me; }
  if ((res= vtkProp_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPropAssembly_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *op;
  const char    *temp20;

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropAssembly_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPropAssembly *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPropAssembly_AddPart_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropAssembly *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  op->AddPart(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPropAssembly_RemovePart_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropAssembly *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  op->RemovePart(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPropAssembly_GetParts_14(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *op;
  vtkPropCollection  *temp20;
  jobject tempH;

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->GetParts();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPropCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropAssembly_RenderOpaqueGeometry_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropAssembly *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropAssembly_RenderTranslucentGeometry_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropAssembly *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropAssembly_RenderOverlay_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropAssembly *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPropAssembly_ReleaseGraphicsResources_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropAssembly *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPropAssembly_GetBounds_19(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *op;
  double  *temp20;

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPropAssembly_ShallowCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropAssembly *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropAssembly_GetMTime_111(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *op;
   unsigned long     temp20;

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPropAssembly_InitPathTraversal_112(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *op;

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  op->InitPathTraversal();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPropAssembly_GetNextPath_113(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *op;
  vtkAssemblyPath  *temp20;
  jobject tempH;

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->GetNextPath();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAssemblyPath", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropAssembly_GetNumberOfPaths_114(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *op;
  int      temp20;

  op = (vtkPropAssembly *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropAssembly");
  temp20 = (op)->GetNumberOfPaths();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPropAssembly_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPropAssembly *aNewOne = vtkPropAssembly::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPropAssembly_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPropAssembly_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPropAssembly_Typecast);
}
