// java wrapper for vtkRectilinearGridSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearGridSource.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRectilinearGridSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRectilinearGridSource",dType)) { return me; }
  if ((res= vtkSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRectilinearGridSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridSource *op;
  const char    *temp20;

  op = (vtkRectilinearGridSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridSource");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGridSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRectilinearGridSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRectilinearGridSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridSource");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRectilinearGridSource_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridSource *op;
  vtkRectilinearGrid  *temp20;
  jobject tempH;

  op = (vtkRectilinearGridSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridSource");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRectilinearGridSource_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearGridSource *op;
  int      temp0;
  vtkRectilinearGrid  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkRectilinearGridSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridSource");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGridSource_SetOutput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGridSource *op;
  vtkRectilinearGrid  *temp0;
  temp0 = (vtkRectilinearGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRectilinearGrid"));

  op = (vtkRectilinearGridSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridSource");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRectilinearGridSource_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRectilinearGridSource_Typecast);
}
