// java wrapper for vtkScalarTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarTree.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarTree",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarTree *op;
  const char    *temp20;

  op = (vtkScalarTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarTree");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarTree");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarTree_SetDataSet_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarTree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkScalarTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarTree");
  op->SetDataSet(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkScalarTree_GetDataSet_13(JNIEnv *env, jobject obj)
{
  vtkScalarTree *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkScalarTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarTree");
  temp20 = (op)->GetDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarTree_BuildTree_14(JNIEnv *env, jobject obj)
{
  vtkScalarTree *op;

  op = (vtkScalarTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarTree");
  op->BuildTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarTree_Initialize_15(JNIEnv *env, jobject obj)
{
  vtkScalarTree *op;

  op = (vtkScalarTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarTree");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarTree_InitTraversal_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkScalarTree *op;
  double   temp0;
  temp0 = id0;

  op = (vtkScalarTree *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarTree");
  op->InitTraversal(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkScalarTree_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkScalarTree_Typecast);
}
