// java wrapper for vtkStreamingDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingDemandDrivenPipeline.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDemandDrivenPipeline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamingDemandDrivenPipeline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamingDemandDrivenPipeline",dType)) { return me; }
  if ((res= vtkDemandDrivenPipeline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  const char    *temp20;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_Update_12(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->Update();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_Update_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->Update(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_UpdateWholeExtent_14(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->UpdateWholeExtent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_PropagateUpdateExtent_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->PropagateUpdateExtent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetMaximumNumberOfPieces_16(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetMaximumNumberOfPieces(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetMaximumNumberOfPieces_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->GetMaximumNumberOfPieces(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetWholeExtent_18(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int    temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetWholeExtent(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetWholeExtent_19(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int    temp1[6];
  void *tempArray1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  op->GetWholeExtent(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetUpdateExtentToWholeExtent_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetUpdateExtentToWholeExtent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetUpdateExtent_111(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int    temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetUpdateExtent(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetUpdateExtent_112(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int    temp1[6];
  void *tempArray1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  op->GetUpdateExtent(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetUpdateExtent_113(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetUpdateExtent(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetUpdatePiece_114(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetUpdatePiece(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetUpdatePiece_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->GetUpdatePiece(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetUpdateNumberOfPieces_116(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetUpdateNumberOfPieces(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetUpdateNumberOfPieces_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->GetUpdateNumberOfPieces(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetUpdateGhostLevel_118(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetUpdateGhostLevel(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetUpdateGhostLevel_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->GetUpdateGhostLevel(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetRequestExactExtent_120(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetRequestExactExtent(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetRequestExactExtent_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->GetRequestExactExtent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetExtentTranslator_122(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  vtkExtentTranslator  *temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkExtentTranslator"));

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetExtentTranslator(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetExtentTranslator_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformation  *temp0;
  vtkExtentTranslator  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->GetExtentTranslator(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExtentTranslator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_SetWholeBoundingBox_124(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->SetWholeBoundingBox(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_GetWholeBoundingBox_125(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkStreamingDemandDrivenPipeline *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  op->GetWholeBoundingBox(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_REQUEST_UPDATE_EXTENT_126(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationRequestKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->REQUEST_UPDATE_EXTENT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationRequestKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_CONTINUE_EXECUTING_127(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->CONTINUE_EXECUTING();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_EXTENT_TRANSLATOR_128(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationObjectBaseKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->EXTENT_TRANSLATOR();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationObjectBaseKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_UPDATE_EXTENT_INITIALIZED_129(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->UPDATE_EXTENT_INITIALIZED();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_UPDATE_EXTENT_130(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerVectorKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->UPDATE_EXTENT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_UPDATE_PIECE_NUMBER_131(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->UPDATE_PIECE_NUMBER();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_UPDATE_NUMBER_OF_PIECES_132(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->UPDATE_NUMBER_OF_PIECES();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_UPDATE_NUMBER_OF_GHOST_LEVELS_133(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->UPDATE_NUMBER_OF_GHOST_LEVELS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_WHOLE_EXTENT_134(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerVectorKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->WHOLE_EXTENT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_MAXIMUM_NUMBER_OF_PIECES_135(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->MAXIMUM_NUMBER_OF_PIECES();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_WHOLE_BOUNDING_BOX_136(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationDoubleVectorKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->WHOLE_BOUNDING_BOX();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDoubleVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_EXACT_EXTENT_137(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->EXACT_EXTENT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_TIME_STEPS_138(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationDoubleVectorKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->TIME_STEPS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDoubleVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_UPDATE_TIME_INDEX_139(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStreamingDemandDrivenPipeline");
  temp20 = (op)->UPDATE_TIME_INDEX();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStreamingDemandDrivenPipeline *aNewOne = vtkStreamingDemandDrivenPipeline::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStreamingDemandDrivenPipeline_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStreamingDemandDrivenPipeline_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStreamingDemandDrivenPipeline_Typecast);
}
