// java wrapper for vtkGenericDataSetTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericDataSetTessellator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericDataSetTessellator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericDataSetTessellator",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  const char    *temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericDataSetTessellator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_SetKeepCellIds_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSetTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->SetKeepCellIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetKeepCellIds_13(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  int      temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  temp20 = (op)->GetKeepCellIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_KeepCellIdsOn_14(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->KeepCellIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_KeepCellIdsOff_15(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->KeepCellIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_SetMerging_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSetTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->SetMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetMerging_17(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  int      temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  temp20 = (op)->GetMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_MergingOn_18(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->MergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_MergingOff_19(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->MergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_SetLocator_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericDataSetTessellator *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetLocator_111(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_CreateDefaultLocator_112(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetMTime_113(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
   unsigned long     temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericDataSetTessellator");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericDataSetTessellator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *aNewOne = vtkGenericDataSetTessellator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericDataSetTessellator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericDataSetTessellator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericDataSetTessellator_Typecast);
}
