// java wrapper for vtkDashedStreamLine object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDashedStreamLine.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStreamLine_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDashedStreamLine_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDashedStreamLine",dType)) { return me; }
  if ((res= vtkStreamLine_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDashedStreamLine_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDashedStreamLine *op;
  const char    *temp20;

  op = (vtkDashedStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDashedStreamLine");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDashedStreamLine_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDashedStreamLine *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDashedStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDashedStreamLine");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDashedStreamLine_SetDashFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDashedStreamLine *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDashedStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDashedStreamLine");
  op->SetDashFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDashedStreamLine_GetDashFactorMinValue_13(JNIEnv *env, jobject obj)
{
  vtkDashedStreamLine *op;
  double   temp20;

  op = (vtkDashedStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDashedStreamLine");
  temp20 = (op)->GetDashFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDashedStreamLine_GetDashFactorMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkDashedStreamLine *op;
  double   temp20;

  op = (vtkDashedStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDashedStreamLine");
  temp20 = (op)->GetDashFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDashedStreamLine_GetDashFactor_15(JNIEnv *env, jobject obj)
{
  vtkDashedStreamLine *op;
  double   temp20;

  op = (vtkDashedStreamLine *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDashedStreamLine");
  temp20 = (op)->GetDashFactor();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDashedStreamLine_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDashedStreamLine *aNewOne = vtkDashedStreamLine::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDashedStreamLine_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDashedStreamLine_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDashedStreamLine_Typecast);
}
