// java wrapper for vtkDataSetSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetSurfaceFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetSurfaceFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetSurfaceFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetSurfaceFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetSurfaceFilter *op;
  const char    *temp20;

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetSurfaceFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetSurfaceFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetSurfaceFilter_SetUseStrips_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetSurfaceFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  op->SetUseStrips(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetSurfaceFilter_GetUseStrips_13(JNIEnv *env, jobject obj)
{
  vtkDataSetSurfaceFilter *op;
  int      temp20;

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  temp20 = (op)->GetUseStrips();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetSurfaceFilter_UseStripsOn_14(JNIEnv *env, jobject obj)
{
  vtkDataSetSurfaceFilter *op;

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  op->UseStripsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetSurfaceFilter_UseStripsOff_15(JNIEnv *env, jobject obj)
{
  vtkDataSetSurfaceFilter *op;

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  op->UseStripsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetSurfaceFilter_SetPieceInvariant_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetSurfaceFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  op->SetPieceInvariant(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetSurfaceFilter_GetPieceInvariant_17(JNIEnv *env, jobject obj)
{
  vtkDataSetSurfaceFilter *op;
  int      temp20;

  op = (vtkDataSetSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetSurfaceFilter");
  temp20 = (op)->GetPieceInvariant();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetSurfaceFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetSurfaceFilter *aNewOne = vtkDataSetSurfaceFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetSurfaceFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetSurfaceFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetSurfaceFilter_Typecast);
}
