// java wrapper for vtkExtractEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractEdges.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractEdges_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractEdges",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractEdges_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractEdges *op;
  const char    *temp20;

  op = (vtkExtractEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractEdges");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractEdges_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractEdges *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractEdges");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractEdges_SetLocator_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractEdges *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkExtractEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractEdges");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractEdges_GetLocator_13(JNIEnv *env, jobject obj)
{
  vtkExtractEdges *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkExtractEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractEdges");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractEdges_CreateDefaultLocator_14(JNIEnv *env, jobject obj)
{
  vtkExtractEdges *op;

  op = (vtkExtractEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractEdges");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractEdges_GetMTime_15(JNIEnv *env, jobject obj)
{
  vtkExtractEdges *op;
   unsigned long     temp20;

  op = (vtkExtractEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractEdges");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractEdges_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractEdges *aNewOne = vtkExtractEdges::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractEdges_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractEdges_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractEdges_Typecast);
}
