// java wrapper for vtkFeatureEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFeatureEdges.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFeatureEdges_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFeatureEdges",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFeatureEdges_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  const char    *temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFeatureEdges_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFeatureEdges *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_SetBoundaryEdges_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkFeatureEdges *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->SetBoundaryEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFeatureEdges_GetBoundaryEdges_13(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  int      temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetBoundaryEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_BoundaryEdgesOn_14(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->BoundaryEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_BoundaryEdgesOff_15(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->BoundaryEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_SetFeatureEdges_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkFeatureEdges *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->SetFeatureEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFeatureEdges_GetFeatureEdges_17(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  int      temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetFeatureEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_FeatureEdgesOn_18(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->FeatureEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_FeatureEdgesOff_19(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->FeatureEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_SetFeatureAngle_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFeatureEdges *op;
  double   temp0;
  temp0 = id0;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->SetFeatureAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFeatureEdges_GetFeatureAngleMinValue_111(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  double   temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetFeatureAngleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFeatureEdges_GetFeatureAngleMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  double   temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetFeatureAngleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFeatureEdges_GetFeatureAngle_113(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  double   temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetFeatureAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_SetNonManifoldEdges_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkFeatureEdges *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->SetNonManifoldEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFeatureEdges_GetNonManifoldEdges_115(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  int      temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetNonManifoldEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_NonManifoldEdgesOn_116(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->NonManifoldEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_NonManifoldEdgesOff_117(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->NonManifoldEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_SetManifoldEdges_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkFeatureEdges *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->SetManifoldEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFeatureEdges_GetManifoldEdges_119(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  int      temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetManifoldEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_ManifoldEdgesOn_120(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->ManifoldEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_ManifoldEdgesOff_121(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->ManifoldEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_SetColoring_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkFeatureEdges *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->SetColoring(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFeatureEdges_GetColoring_123(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  int      temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetColoring();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_ColoringOn_124(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->ColoringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_ColoringOff_125(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->ColoringOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_SetLocator_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFeatureEdges *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFeatureEdges_GetLocator_127(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFeatureEdges_CreateDefaultLocator_128(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFeatureEdges_GetMTime_129(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *op;
   unsigned long     temp20;

  op = (vtkFeatureEdges *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFeatureEdges");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFeatureEdges_VTKInit(JNIEnv *env, jobject obj)
{
  vtkFeatureEdges *aNewOne = vtkFeatureEdges::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFeatureEdges_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFeatureEdges_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFeatureEdges_Typecast);
}
