// java wrapper for vtkHierarchicalDataSetGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalDataSetGeometryFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalDataSetGeometryFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalDataSetGeometryFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalDataSetGeometryFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSetGeometryFilter *op;
  const char    *temp20;

  op = (vtkHierarchicalDataSetGeometryFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetGeometryFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataSetGeometryFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalDataSetGeometryFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalDataSetGeometryFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetGeometryFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataSetGeometryFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSetGeometryFilter *aNewOne = vtkHierarchicalDataSetGeometryFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataSetGeometryFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataSetGeometryFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataSetGeometryFilter_Typecast);
}
