// java wrapper for vtkInterpolateDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolateDataSetAttributes.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInterpolateDataSetAttributes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInterpolateDataSetAttributes",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  const char    *temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolateDataSetAttributes");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolateDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolateDataSetAttributes");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetInputList_12(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  vtkDataSetCollection  *temp20;
  jobject tempH;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolateDataSetAttributes");
  temp20 = (op)->GetInputList();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSetCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_SetT_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolateDataSetAttributes");
  op->SetT(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetTMinValue_14(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolateDataSetAttributes");
  temp20 = (op)->GetTMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetTMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolateDataSetAttributes");
  temp20 = (op)->GetTMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetT_16(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInterpolateDataSetAttributes");
  temp20 = (op)->GetT();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInterpolateDataSetAttributes_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *aNewOne = vtkInterpolateDataSetAttributes::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInterpolateDataSetAttributes_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInterpolateDataSetAttributes_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInterpolateDataSetAttributes_Typecast);
}
