// java wrapper for vtkMarchingContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMarchingContourFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMarchingContourFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMarchingContourFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMarchingContourFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
  const char    *temp20;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingContourFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMarchingContourFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_SetValue_12(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMarchingContourFilter_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_SetNumberOfContours_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingContourFilter_GetNumberOfContours_15(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
  int      temp20;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_GenerateValues_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_GenerateValues_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingContourFilter_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
   unsigned long     temp20;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_SetComputeNormals_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->SetComputeNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingContourFilter_GetComputeNormals_110(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
  int      temp20;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetComputeNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_ComputeNormalsOn_111(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->ComputeNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_ComputeNormalsOff_112(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->ComputeNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_SetComputeGradients_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->SetComputeGradients(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingContourFilter_GetComputeGradients_114(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
  int      temp20;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetComputeGradients();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_ComputeGradientsOn_115(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->ComputeGradientsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_ComputeGradientsOff_116(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->ComputeGradientsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_SetComputeScalars_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->SetComputeScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingContourFilter_GetComputeScalars_118(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
  int      temp20;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetComputeScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_ComputeScalarsOn_119(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->ComputeScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_ComputeScalarsOff_120(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->ComputeScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_SetUseScalarTree_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingContourFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->SetUseScalarTree(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingContourFilter_GetUseScalarTree_122(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
  int      temp20;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetUseScalarTree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_UseScalarTreeOn_123(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->UseScalarTreeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_UseScalarTreeOff_124(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->UseScalarTreeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_SetLocator_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMarchingContourFilter *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMarchingContourFilter_GetLocator_126(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingContourFilter_CreateDefaultLocator_127(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *op;

  op = (vtkMarchingContourFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMarchingContourFilter");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMarchingContourFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMarchingContourFilter *aNewOne = vtkMarchingContourFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMarchingContourFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMarchingContourFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMarchingContourFilter_Typecast);
}
