// java wrapper for vtkMeshQuality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMeshQuality.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMeshQuality_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMeshQuality",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMeshQuality_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  const char    *temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMeshQuality *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetSaveCellQuality_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetSaveCellQuality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetSaveCellQuality_13(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetSaveCellQuality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SaveCellQualityOn_14(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SaveCellQualityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SaveCellQualityOff_15(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SaveCellQualityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasure_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTriangleQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetTriangleQualityMeasure_17(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetTriangleQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToEdgeRatio_18(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTriangleQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToAspectRatio_19(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTriangleQualityMeasureToAspectRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToRadiusRatio_110(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTriangleQualityMeasureToRadiusRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToFrobeniusNorm_111(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTriangleQualityMeasureToFrobeniusNorm();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToMinAngle_112(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTriangleQualityMeasureToMinAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasure_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetQuadQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetQuadQualityMeasure_114(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetQuadQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToEdgeRatio_115(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetQuadQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToAspectRatio_116(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetQuadQualityMeasureToAspectRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToRadiusRatio_117(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetQuadQualityMeasureToRadiusRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMedFrobeniusNorm_118(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetQuadQualityMeasureToMedFrobeniusNorm();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMaxFrobeniusNorm_119(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetQuadQualityMeasureToMaxFrobeniusNorm();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMinAngle_120(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetQuadQualityMeasureToMinAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasure_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTetQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetTetQualityMeasure_122(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetTetQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToEdgeRatio_123(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTetQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToAspectRatio_124(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTetQualityMeasureToAspectRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToRadiusRatio_125(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTetQualityMeasureToRadiusRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToFrobeniusNorm_126(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTetQualityMeasureToFrobeniusNorm();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToMinAngle_127(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetTetQualityMeasureToMinAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasure_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetHexQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetHexQualityMeasure_129(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetHexQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToEdgeRatio_130(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetHexQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleEdgeRatio_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TriangleEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleAspectRatio_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TriangleAspectRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleRadiusRatio_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TriangleRadiusRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleFrobeniusNorm_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TriangleFrobeniusNorm(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleMinAngle_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TriangleMinAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadEdgeRatio_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->QuadEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadAspectRatio_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->QuadAspectRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadRadiusRatio_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->QuadRadiusRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMedFrobeniusNorm_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->QuadMedFrobeniusNorm(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMaxFrobeniusNorm_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->QuadMaxFrobeniusNorm(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMinAngle_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->QuadMinAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetEdgeRatio_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TetEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetAspectRatio_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TetAspectRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetRadiusRatio_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TetRadiusRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetFrobeniusNorm_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TetFrobeniusNorm(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetMinAngle_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->TetMinAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexEdgeRatio_147(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->HexEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetRatio_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetRatio(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetRatio_149(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetRatio();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_RatioOn_150(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->RatioOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_RatioOff_151(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->RatioOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetVolume_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetVolume(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetVolume_153(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetVolume();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_VolumeOn_154(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->VolumeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_VolumeOff_155(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->VolumeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetCompatibilityMode_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->SetCompatibilityMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetCompatibilityMode_157(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  temp20 = (op)->GetCompatibilityMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_CompatibilityModeOn_158(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->CompatibilityModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_CompatibilityModeOff_159(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMeshQuality");
  op->CompatibilityModeOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMeshQuality_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *aNewOne = vtkMeshQuality::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMeshQuality_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMeshQuality_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMeshQuality_Typecast);
}
