// java wrapper for vtkPlanesIntersection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlanesIntersection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPlanes_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlanesIntersection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlanesIntersection",dType)) { return me; }
  if ((res= vtkPlanes_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlanesIntersection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlanesIntersection *op;
  const char    *temp20;

  op = (vtkPlanesIntersection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPlanesIntersection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlanesIntersection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlanesIntersection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlanesIntersection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPlanesIntersection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanesIntersection_SetRegionVertices_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlanesIntersection *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkPlanesIntersection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPlanesIntersection");
  op->SetRegionVertices(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlanesIntersection_GetNumRegionVertices_13(JNIEnv *env, jobject obj)
{
  vtkPlanesIntersection *op;
  int      temp20;

  op = (vtkPlanesIntersection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPlanesIntersection");
  temp20 = (op)->GetNumRegionVertices();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlanesIntersection_IntersectsRegion_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlanesIntersection *op;
  vtkPoints  *temp0;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkPlanesIntersection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPlanesIntersection");
  temp20 = (op)->IntersectsRegion(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlanesIntersection_PolygonIntersectsBBox_15(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkPlanesIntersection *op;
  double temp0[6];
  void *tempArray0;
  vtkPoints  *temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPoints"));

  op = (vtkPlanesIntersection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPlanesIntersection");
  temp20 = (op)->PolygonIntersectsBBox(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPlanesIntersection_Convert3DCell_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlanesIntersection *op;
  vtkCell  *temp0;
  vtkPlanesIntersection  *temp20;
  jobject tempH;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCell"));

  op = (vtkPlanesIntersection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPlanesIntersection");
  temp20 = (op)->Convert3DCell(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPlanesIntersection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPlanesIntersection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPlanesIntersection *aNewOne = vtkPlanesIntersection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPlanesIntersection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPlanesIntersection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPlanesIntersection_Typecast);
}
