// java wrapper for vtkProgrammableDataObjectSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableDataObjectSource.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProgrammableDataObjectSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProgrammableDataObjectSource",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProgrammableDataObjectSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProgrammableDataObjectSource *op;
  const char    *temp20;

  op = (vtkProgrammableDataObjectSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableDataObjectSource");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableDataObjectSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableDataObjectSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableDataObjectSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableDataObjectSource");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableDataObjectSource_SetExecuteMethod_12(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkProgrammableDataObjectSource *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),vtkJavaUTFToChar(env,id1),"()V");

  op = (vtkProgrammableDataObjectSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableDataObjectSource");
  op->SetExecuteMethod(vtkJavaVoidFunc,(void *)temp0);
  op->SetExecuteMethodArgDelete(vtkJavaVoidFuncArgDelete);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProgrammableDataObjectSource_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProgrammableDataObjectSource *aNewOne = vtkProgrammableDataObjectSource::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProgrammableDataObjectSource_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProgrammableDataObjectSource_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProgrammableDataObjectSource_Typecast);
}
