// java wrapper for vtkVoxelContoursToSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVoxelContoursToSurfaceFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVoxelContoursToSurfaceFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVoxelContoursToSurfaceFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVoxelContoursToSurfaceFilter *op;
  const char    *temp20;

  op = (vtkVoxelContoursToSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVoxelContoursToSurfaceFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVoxelContoursToSurfaceFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVoxelContoursToSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVoxelContoursToSurfaceFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_SetMemoryLimitInBytes_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkVoxelContoursToSurfaceFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVoxelContoursToSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVoxelContoursToSurfaceFilter");
  op->SetMemoryLimitInBytes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_GetMemoryLimitInBytes_13(JNIEnv *env, jobject obj)
{
  vtkVoxelContoursToSurfaceFilter *op;
  int      temp20;

  op = (vtkVoxelContoursToSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVoxelContoursToSurfaceFilter");
  temp20 = (op)->GetMemoryLimitInBytes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_SetSpacing_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVoxelContoursToSurfaceFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVoxelContoursToSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVoxelContoursToSurfaceFilter");
  op->SetSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_SetSpacing_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVoxelContoursToSurfaceFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVoxelContoursToSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVoxelContoursToSurfaceFilter");
  op->SetSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_GetSpacing_16(JNIEnv *env, jobject obj)
{
  vtkVoxelContoursToSurfaceFilter *op;
  double  *temp20;

  op = (vtkVoxelContoursToSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVoxelContoursToSurfaceFilter");
  temp20 = (op)->GetSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkVoxelContoursToSurfaceFilter *aNewOne = vtkVoxelContoursToSurfaceFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVoxelContoursToSurfaceFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVoxelContoursToSurfaceFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVoxelContoursToSurfaceFilter_Typecast);
}
