// java wrapper for vtkPExodusReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPExodusReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkExodusReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPExodusReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPExodusReader",dType)) { return me; }
  if ((res= vtkExodusReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExodusReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  const char    *temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_SetFilePattern_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->SetFilePattern(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExodusReader_GetFilePattern_13(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  char    *temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetFilePattern();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_SetFilePrefix_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->SetFilePrefix(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExodusReader_GetFilePrefix_15(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  char    *temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetFilePrefix();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_SetFileRange_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->SetFileRange(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPExodusReader_GetFileRange_17(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  int     *temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetFileRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_SetFileName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusReader_GetNumberOfFileNames_19(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  int      temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetNumberOfFileNames();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusReader_GetNumberOfFiles_110(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  int      temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetNumberOfFiles();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_SetGenerateFileIdArray_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->SetGenerateFileIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusReader_GetGenerateFileIdArray_112(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  int      temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetGenerateFileIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_GenerateFileIdArrayOn_113(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->GenerateFileIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_GenerateFileIdArrayOff_114(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->GenerateFileIdArrayOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusReader_GetNumberOfVariableArrays_115(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;
  int      temp20;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetNumberOfVariableArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExodusReader_GetVariableArrayName_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkPExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  temp20 = (op)->GetVariableArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_EnableDSPFiltering_117(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->EnableDSPFiltering();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_AddFilter_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPExodusReader *op;
  vtkDSPFilterDefinition  *temp0;
  temp0 = (vtkDSPFilterDefinition *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDSPFilterDefinition"));

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->AddFilter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_StartAddingFilter_119(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->StartAddingFilter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_AddFilterInputVar_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->AddFilterInputVar(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_AddFilterOutputVar_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->AddFilterOutputVar(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_AddFilterNumeratorWeight_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPExodusReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->AddFilterNumeratorWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_AddFilterForwardNumeratorWeight_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPExodusReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->AddFilterForwardNumeratorWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_AddFilterDenominatorWeight_124(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPExodusReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->AddFilterDenominatorWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_FinishAddingFilter_125(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *op;

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->FinishAddingFilter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusReader_RemoveFilter_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPExodusReader");
  op->RemoveFilter(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPExodusReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPExodusReader *aNewOne = vtkPExodusReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPExodusReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPExodusReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPExodusReader_Typecast);
}
