// java wrapper for vtkMCubesReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMCubesReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMCubesReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMCubesReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  const char    *temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  char    *temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetLimitsFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetLimitsFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesReader_GetLimitsFileName_15(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  char    *temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetLimitsFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetHeaderSize_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMCubesReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetHeaderSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetHeaderSizeMinValue_17(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  int      temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetHeaderSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetHeaderSizeMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  int      temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetHeaderSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetHeaderSize_19(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  int      temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetHeaderSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetFlipNormals_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMCubesReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetFlipNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetFlipNormals_111(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  int      temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetFlipNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_FlipNormalsOn_112(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->FlipNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_FlipNormalsOff_113(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->FlipNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetNormals_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMCubesReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetNormals_115(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  int      temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_NormalsOn_116(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->NormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_NormalsOff_117(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->NormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetDataByteOrderToBigEndian_118(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetDataByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetDataByteOrderToLittleEndian_119(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetDataByteOrderToLittleEndian();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetDataByteOrder_120(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  int      temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetDataByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetDataByteOrder_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkMCubesReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetDataByteOrder(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesReader_GetDataByteOrderAsString_122(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  const char    *temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetDataByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetSwapBytes_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkMCubesReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetSwapBytes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetSwapBytes_124(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  int      temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetSwapBytes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SwapBytesOn_125(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SwapBytesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SwapBytesOff_126(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SwapBytesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_SetLocator_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMCubesReader *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMCubesReader_GetLocator_128(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesReader_CreateDefaultLocator_129(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesReader_GetMTime_130(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *op;
   unsigned long     temp20;

  op = (vtkMCubesReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesReader");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMCubesReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMCubesReader *aNewOne = vtkMCubesReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMCubesReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMCubesReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMCubesReader_Typecast);
}
