// java wrapper for vtkPLYReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPLYReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPLYReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPLYReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLYReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPLYReader *op;
  const char    *temp20;

  op = (vtkPLYReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLYReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLYReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLYReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLYReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLYReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkPLYReader *op;
  char    *temp20;

  op = (vtkPLYReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPLYReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPLYReader *aNewOne = vtkPLYReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPLYReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPLYReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPLYReader_Typecast);
}
