// java wrapper for vtkRectilinearGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearGridWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRectilinearGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRectilinearGridWriter",dType)) { return me; }
  if ((res= vtkDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRectilinearGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridWriter *op;
  const char    *temp20;

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRectilinearGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRectilinearGridWriter_GetInput_12(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridWriter *op;
  vtkRectilinearGrid  *temp20;
  jobject tempH;

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridWriter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRectilinearGridWriter_GetInput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearGridWriter *op;
  int      temp0;
  vtkRectilinearGrid  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridWriter");
  temp20 = (op)->GetInput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRectilinearGridWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridWriter *aNewOne = vtkRectilinearGridWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRectilinearGridWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRectilinearGridWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRectilinearGridWriter_Typecast);
}
