// java wrapper for vtkTIFFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTIFFReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageReader2_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTIFFReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTIFFReader",dType)) { return me; }
  if ((res= vtkImageReader2_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTIFFReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  const char    *temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTIFFReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTIFFReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTIFFReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTIFFReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTIFFReader");
  temp20 = (op)->CanReadFile(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTIFFReader_GetFileExtensions_13(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  const char    *temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTIFFReader");
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTIFFReader_GetDescriptiveName_14(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  const char    *temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTIFFReader");
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_InitializeColors_15(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTIFFReader");
  op->InitializeColors();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTIFFReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *aNewOne = vtkTIFFReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTIFFReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTIFFReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTIFFReader_Typecast);
}
