// java wrapper for vtkXMLPUnstructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPUnstructuredGridWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPUnstructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPUnstructuredGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPUnstructuredGridWriter",dType)) { return me; }
  if ((res= vtkXMLPUnstructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPUnstructuredGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPUnstructuredGridWriter *op;
  const char    *temp20;

  op = (vtkXMLPUnstructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPUnstructuredGridWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPUnstructuredGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPUnstructuredGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPUnstructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPUnstructuredGridWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPUnstructuredGridWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLPUnstructuredGridWriter *op;
  const char    *temp20;

  op = (vtkXMLPUnstructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPUnstructuredGridWriter");
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPUnstructuredGridWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPUnstructuredGridWriter *aNewOne = vtkXMLPUnstructuredGridWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPUnstructuredGridWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPUnstructuredGridWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPUnstructuredGridWriter_Typecast);
}
