// java wrapper for vtkXMLUnstructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLUnstructuredGridReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLUnstructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLUnstructuredGridReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLUnstructuredGridReader",dType)) { return me; }
  if ((res= vtkXMLUnstructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLUnstructuredGridReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredGridReader *op;
  const char    *temp20;

  op = (vtkXMLUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUnstructuredGridReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredGridReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLUnstructuredGridReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUnstructuredGridReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUnstructuredGridReader_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLUnstructuredGridReader *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));

  op = (vtkXMLUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUnstructuredGridReader");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLUnstructuredGridReader_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredGridReader *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkXMLUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUnstructuredGridReader");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLUnstructuredGridReader_GetOutput_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLUnstructuredGridReader *op;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkXMLUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUnstructuredGridReader");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLUnstructuredGridReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredGridReader *aNewOne = vtkXMLUnstructuredGridReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLUnstructuredGridReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLUnstructuredGridReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLUnstructuredGridReader_Typecast);
}
