// java wrapper for vtkImageAnisotropicDiffusion3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageAnisotropicDiffusion3D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageSpatialAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageAnisotropicDiffusion3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageAnisotropicDiffusion3D",dType)) { return me; }
  if ((res= vtkImageSpatialAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  const char    *temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_SetNumberOfIterations_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->SetNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetNumberOfIterations_13(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_SetDiffusionThreshold_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->SetDiffusionThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetDiffusionThreshold_15(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  double   temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetDiffusionThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_SetDiffusionFactor_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->SetDiffusionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetDiffusionFactor_17(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  double   temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetDiffusionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_SetFaces_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->SetFaces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetFaces_19(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetFaces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_FacesOn_110(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->FacesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_FacesOff_111(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->FacesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_SetEdges_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->SetEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetEdges_113(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_EdgesOn_114(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->EdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_EdgesOff_115(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->EdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_SetCorners_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->SetCorners(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetCorners_117(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetCorners();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_CornersOn_118(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->CornersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_CornersOff_119(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->CornersOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_SetGradientMagnitudeThreshold_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->SetGradientMagnitudeThreshold(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GetGradientMagnitudeThreshold_121(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  temp20 = (op)->GetGradientMagnitudeThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GradientMagnitudeThresholdOn_122(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->GradientMagnitudeThresholdOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_GradientMagnitudeThresholdOff_123(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageAnisotropicDiffusion3D");
  op->GradientMagnitudeThresholdOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion3D *aNewOne = vtkImageAnisotropicDiffusion3D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageAnisotropicDiffusion3D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageAnisotropicDiffusion3D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageAnisotropicDiffusion3D_Typecast);
}
