// java wrapper for vtkImageImportExecutive object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageImportExecutive.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStreamingDemandDrivenPipeline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageImportExecutive_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageImportExecutive",dType)) { return me; }
  if ((res= vtkStreamingDemandDrivenPipeline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageImportExecutive_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageImportExecutive *op;
  const char    *temp20;

  op = (vtkImageImportExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageImportExecutive");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageImportExecutive_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageImportExecutive *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageImportExecutive *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageImportExecutive");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageImportExecutive_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageImportExecutive *aNewOne = vtkImageImportExecutive::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageImportExecutive_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageImportExecutive_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageImportExecutive_Typecast);
}
