// java wrapper for vtkImageMirrorPad object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMirrorPad.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImagePadFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMirrorPad_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMirrorPad",dType)) { return me; }
  if ((res= vtkImagePadFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMirrorPad_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMirrorPad *op;
  const char    *temp20;

  op = (vtkImageMirrorPad *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMirrorPad");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMirrorPad_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMirrorPad *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMirrorPad *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMirrorPad");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMirrorPad_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageMirrorPad *aNewOne = vtkImageMirrorPad::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMirrorPad_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMirrorPad_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMirrorPad_Typecast);
}
