// java wrapper for vtkImageNoiseSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageNoiseSource.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageNoiseSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageNoiseSource",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageNoiseSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageNoiseSource *op;
  const char    *temp20;

  op = (vtkImageNoiseSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNoiseSource");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageNoiseSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageNoiseSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageNoiseSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNoiseSource");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNoiseSource_SetMinimum_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageNoiseSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageNoiseSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNoiseSource");
  op->SetMinimum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageNoiseSource_GetMinimum_13(JNIEnv *env, jobject obj)
{
  vtkImageNoiseSource *op;
  double   temp20;

  op = (vtkImageNoiseSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNoiseSource");
  temp20 = (op)->GetMinimum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNoiseSource_SetMaximum_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageNoiseSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageNoiseSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNoiseSource");
  op->SetMaximum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageNoiseSource_GetMaximum_15(JNIEnv *env, jobject obj)
{
  vtkImageNoiseSource *op;
  double   temp20;

  op = (vtkImageNoiseSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNoiseSource");
  temp20 = (op)->GetMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNoiseSource_SetWholeExtent_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageNoiseSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageNoiseSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageNoiseSource");
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageNoiseSource_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageNoiseSource *aNewOne = vtkImageNoiseSource::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageNoiseSource_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageNoiseSource_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageNoiseSource_Typecast);
}
