// java wrapper for vtkImageRange3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageRange3D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageSpatialAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageRange3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageRange3D",dType)) { return me; }
  if ((res= vtkImageSpatialAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageRange3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageRange3D *op;
  const char    *temp20;

  op = (vtkImageRange3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRange3D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageRange3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageRange3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageRange3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRange3D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRange3D_SetKernelSize_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageRange3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageRange3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRange3D");
  op->SetKernelSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageRange3D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageRange3D *aNewOne = vtkImageRange3D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageRange3D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageRange3D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageRange3D_Typecast);
}
