// java wrapper for vtkCollectPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollectPolyData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCollectPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCollectPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollectPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCollectPolyData *op;
  const char    *temp20;

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollectPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollectPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectPolyData_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollectPolyData *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  op->SetController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollectPolyData_GetController_13(JNIEnv *env, jobject obj)
{
  vtkCollectPolyData *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectPolyData_SetSocketController_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollectPolyData *op;
  vtkSocketController  *temp0;
  temp0 = (vtkSocketController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkSocketController"));

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  op->SetSocketController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCollectPolyData_GetSocketController_15(JNIEnv *env, jobject obj)
{
  vtkCollectPolyData *op;
  vtkSocketController  *temp20;
  jobject tempH;

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  temp20 = (op)->GetSocketController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkSocketController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectPolyData_SetPassThrough_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCollectPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  op->SetPassThrough(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollectPolyData_GetPassThrough_17(JNIEnv *env, jobject obj)
{
  vtkCollectPolyData *op;
  int      temp20;

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  temp20 = (op)->GetPassThrough();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectPolyData_PassThroughOn_18(JNIEnv *env, jobject obj)
{
  vtkCollectPolyData *op;

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  op->PassThroughOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectPolyData_PassThroughOff_19(JNIEnv *env, jobject obj)
{
  vtkCollectPolyData *op;

  op = (vtkCollectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCollectPolyData");
  op->PassThroughOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCollectPolyData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCollectPolyData *aNewOne = vtkCollectPolyData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCollectPolyData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCollectPolyData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCollectPolyData_Typecast);
}
