// java wrapper for vtkCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCommunicator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCommunicator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCommunicator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCommunicator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCommunicator *op;
  const char    *temp20;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCommunicator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Send_12(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Send_13(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Send_14(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->Send(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Receive_15(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Receive_16(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Receive_17(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  temp20 = (op)->Receive(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCommunicator_SetUseCopy_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCommunicator");
  op->SetUseCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCommunicator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCommunicator_Typecast);
}
