// java wrapper for vtkExtractCTHPart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractCTHPart.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractCTHPart_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractCTHPart",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractCTHPart_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  const char    *temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractCTHPart_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractCTHPart *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractCTHPart_BOUNDS_12(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  vtkInformationDoubleVectorKey  *temp20;
  jobject tempH;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->BOUNDS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDoubleVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_RemoveAllVolumeArrayNames_13(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  op->RemoveAllVolumeArrayNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_AddVolumeArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractCTHPart *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  op->AddVolumeArrayName(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractCTHPart_GetNumberOfVolumeArrayNames_15(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  int      temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->GetNumberOfVolumeArrayNames();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractCTHPart_GetVolumeArrayName_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractCTHPart *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->GetVolumeArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_SetClipPlane_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractCTHPart *op;
  vtkPlane  *temp0;
  temp0 = (vtkPlane *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPlane"));

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  op->SetClipPlane(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractCTHPart_GetClipPlane_18(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  vtkPlane  *temp20;
  jobject tempH;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->GetClipPlane();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPlane", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractCTHPart_GetMTime_19(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
   unsigned long     temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_SetController_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractCTHPart *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  op->SetController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractCTHPart_GetController_111(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractCTHPart");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractCTHPart_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *aNewOne = vtkExtractCTHPart::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractCTHPart_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractCTHPart_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractCTHPart_Typecast);
}
