// java wrapper for vtkPipelineSize object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPipelineSize.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPipelineSize_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPipelineSize",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPipelineSize_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPipelineSize *op;
  const char    *temp20;

  op = (vtkPipelineSize *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPipelineSize");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPipelineSize_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPipelineSize *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPipelineSize *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPipelineSize");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPipelineSize_GetEstimatedSize_12(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkPipelineSize *op;
  vtkAlgorithm  *temp0;
  int      temp1;
  int      temp2;
   unsigned long     temp20;
  temp0 = (vtkAlgorithm *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithm"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkPipelineSize *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPipelineSize");
  temp20 = (op)->GetEstimatedSize(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPipelineSize_GetNumberOfSubPieces_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPipelineSize *op;
   unsigned long     temp0;
  vtkPolyDataMapper  *temp1;
   unsigned long     temp20;
  temp0 = id0;
  temp1 = (vtkPolyDataMapper *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPolyDataMapper"));

  op = (vtkPipelineSize *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPipelineSize");
  temp20 = (op)->GetNumberOfSubPieces(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPipelineSize_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPipelineSize *aNewOne = vtkPipelineSize::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPipelineSize_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPipelineSize_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPipelineSize_Typecast);
}
