// java wrapper for vtkProcessIdScalars object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProcessIdScalars.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProcessIdScalars_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProcessIdScalars",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProcessIdScalars_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;
  const char    *temp20;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcessIdScalars_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProcessIdScalars *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessIdScalars_SetScalarModeToCellData_12(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  op->SetScalarModeToCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessIdScalars_SetScalarModeToPointData_13(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  op->SetScalarModeToPointData();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcessIdScalars_GetScalarMode_14(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;
  int      temp20;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessIdScalars_SetRandomMode_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkProcessIdScalars *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  op->SetRandomMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcessIdScalars_GetRandomMode_16(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;
  int      temp20;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  temp20 = (op)->GetRandomMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessIdScalars_RandomModeOn_17(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  op->RandomModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessIdScalars_RandomModeOff_18(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  op->RandomModeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessIdScalars_SetController_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProcessIdScalars *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  op->SetController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProcessIdScalars_GetController_110(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkProcessIdScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcessIdScalars");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProcessIdScalars_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProcessIdScalars *aNewOne = vtkProcessIdScalars::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProcessIdScalars_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProcessIdScalars_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProcessIdScalars_Typecast);
}
