// java wrapper for vtkSocketCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSocketCommunicator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCommunicator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSocketCommunicator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSocketCommunicator",dType)) { return me; }
  if ((res= vtkCommunicator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSocketCommunicator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  const char    *temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_OpenSocket_12(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSocketCommunicator *op;
  int      temp0;
  char    *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->OpenSocket(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetPort_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetPort(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_WaitForConnectionOnSocket_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSocketCommunicator *op;
  int      temp0;
   unsigned long     temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->WaitForConnectionOnSocket(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_WaitForConnection_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->WaitForConnection(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_CloseConnection_16(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  op->CloseConnection();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_ConnectTo_17(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->ConnectTo(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetSwapBytesInReceivedData_18(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetSwapBytesInReceivedData();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetIsConnected_19(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetIsConnected();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_Send_110(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->Send(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_Send_111(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkSocketCommunicator *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_Send_112(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkSocketCommunicator *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_Receive_113(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->Receive(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_Receive_114(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkSocketCommunicator *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_Receive_115(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkSocketCommunicator *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_SetPerformHandshake_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  op->SetPerformHandshake(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetPerformHandshakeMinValue_117(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetPerformHandshakeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetPerformHandshakeMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetPerformHandshakeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_PerformHandshakeOn_119(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  op->PerformHandshakeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_PerformHandshakeOff_120(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  op->PerformHandshakeOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetPerformHandshake_121(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetPerformHandshake();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_LogToFile_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->LogToFile(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_LogToFile_123(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->LogToFile(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_SetReportErrors_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  op->SetReportErrors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetReportErrors_125(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSocketCommunicator");
  temp20 = (op)->GetReportErrors();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSocketCommunicator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *aNewOne = vtkSocketCommunicator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSocketCommunicator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSocketCommunicator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSocketCommunicator_Typecast);
}
