// java wrapper for vtkAbstractPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractPicker.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractPicker",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;
  const char    *temp20;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPicker_GetRenderer_12(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->GetRenderer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractPicker_GetSelectionPoint_13(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;
  double  *temp20;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->GetSelectionPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractPicker_GetPickPosition_14(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;
  double  *temp20;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->GetPickPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPicker_Pick_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3)
{
  vtkAbstractPicker *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkRenderer"));

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->Pick(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPicker_Pick_16(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkAbstractPicker *op;
  double temp0[3];
  void *tempArray0;
  vtkRenderer  *temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->Pick(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPicker_SetPickFromList_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractPicker *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  op->SetPickFromList(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPicker_GetPickFromList_18(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;
  int      temp20;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->GetPickFromList();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPicker_PickFromListOn_19(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  op->PickFromListOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPicker_PickFromListOff_110(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  op->PickFromListOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPicker_InitializePickList_111(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  op->InitializePickList();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPicker_AddPickList_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPicker *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  op->AddPickList(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPicker_DeletePickList_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPicker *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  op->DeletePickList(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractPicker_GetPickList_114(JNIEnv *env, jobject obj)
{
  vtkAbstractPicker *op;
  vtkPropCollection  *temp20;
  jobject tempH;

  op = (vtkAbstractPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractPicker");
  temp20 = (op)->GetPickList();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPropCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAbstractPicker_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAbstractPicker_Typecast);
}
