// java wrapper for vtkInteractorStyleJoystickCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleJoystickCamera.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleJoystickCamera_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleJoystickCamera",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;
  const char    *temp20;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleJoystickCamera *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnMouseMove_12(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnLeftButtonDown_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnLeftButtonUp_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnMiddleButtonDown_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnMiddleButtonUp_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnRightButtonDown_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnRightButtonUp_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnMouseWheelForward_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnMouseWheelForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_OnMouseWheelBackward_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->OnMouseWheelBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_Rotate_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->Rotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_Spin_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->Spin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_Pan_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_Dolly_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *op;

  op = (vtkInteractorStyleJoystickCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickCamera");
  op->Dolly();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickCamera *aNewOne = vtkInteractorStyleJoystickCamera::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleJoystickCamera_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleJoystickCamera_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleJoystickCamera_Typecast);
}
