// java wrapper for vtkPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPicker.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractPropPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPicker",dType)) { return me; }
  if ((res= vtkAbstractPropPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  const char    *temp20;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPicker_SetTolerance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPicker *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPicker_GetTolerance_13(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  double   temp20;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPicker_GetMapperPosition_14(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  double  *temp20;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetMapperPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPicker_GetMapper_15(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  vtkAbstractMapper3D  *temp20;
  jobject tempH;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetMapper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractMapper3D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPicker_GetDataSet_16(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPicker_GetProp3Ds_17(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  vtkProp3DCollection  *temp20;
  jobject tempH;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetProp3Ds();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp3DCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPicker_GetActors_18(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  vtkActorCollection  *temp20;
  jobject tempH;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetActors();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActorCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPicker_GetPickedPositions_19(JNIEnv *env, jobject obj)
{
  vtkPicker *op;
  vtkPoints  *temp20;
  jobject tempH;

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->GetPickedPositions();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPicker_Pick_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3)
{
  vtkPicker *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkRenderer"));

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->Pick(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPicker_Pick_111(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkPicker *op;
  double temp0[3];
  void *tempArray0;
  vtkRenderer  *temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));

  op = (vtkPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPicker");
  temp20 = (op)->Pick(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPicker_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPicker *aNewOne = vtkPicker::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPicker_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPicker_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPicker_Typecast);
}
