// java wrapper for vtkProp3DCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProp3DCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPropCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProp3DCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProp3DCollection",dType)) { return me; }
  if ((res= vtkPropCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProp3DCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProp3DCollection *op;
  const char    *temp20;

  op = (vtkProp3DCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp3DCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProp3DCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProp3DCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp3DCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DCollection *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp3D"));

  op = (vtkProp3DCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp3DCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProp3DCollection_GetNextProp3D_13(JNIEnv *env, jobject obj)
{
  vtkProp3DCollection *op;
  vtkProp3D  *temp20;
  jobject tempH;

  op = (vtkProp3DCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp3DCollection");
  temp20 = (op)->GetNextProp3D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp3D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProp3DCollection_GetLastProp3D_14(JNIEnv *env, jobject obj)
{
  vtkProp3DCollection *op;
  vtkProp3D  *temp20;
  jobject tempH;

  op = (vtkProp3DCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp3DCollection");
  temp20 = (op)->GetLastProp3D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp3D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProp3DCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProp3DCollection *aNewOne = vtkProp3DCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProp3DCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProp3DCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProp3DCollection_Typecast);
}
