// java wrapper for vtkFixedPointVolumeRayCastCompositeShadeHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedPointVolumeRayCastCompositeShadeHelper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkFixedPointVolumeRayCastHelper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFixedPointVolumeRayCastCompositeShadeHelper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFixedPointVolumeRayCastCompositeShadeHelper",dType)) { return me; }
  if ((res= vtkFixedPointVolumeRayCastHelper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFixedPointVolumeRayCastCompositeShadeHelper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastCompositeShadeHelper *op;
  const char    *temp20;

  op = (vtkFixedPointVolumeRayCastCompositeShadeHelper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastCompositeShadeHelper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastCompositeShadeHelper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFixedPointVolumeRayCastCompositeShadeHelper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFixedPointVolumeRayCastCompositeShadeHelper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastCompositeShadeHelper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastCompositeShadeHelper_GenerateImage_12(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2,jobject id3)
{
  vtkFixedPointVolumeRayCastCompositeShadeHelper *op;
  int      temp0;
  int      temp1;
  vtkVolume  *temp2;
  vtkFixedPointVolumeRayCastMapper  *temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkVolume"));
  temp3 = (vtkFixedPointVolumeRayCastMapper *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkFixedPointVolumeRayCastMapper"));

  op = (vtkFixedPointVolumeRayCastCompositeShadeHelper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastCompositeShadeHelper");
  op->GenerateImage(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFixedPointVolumeRayCastCompositeShadeHelper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastCompositeShadeHelper *aNewOne = vtkFixedPointVolumeRayCastCompositeShadeHelper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFixedPointVolumeRayCastCompositeShadeHelper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFixedPointVolumeRayCastCompositeShadeHelper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFixedPointVolumeRayCastCompositeShadeHelper_Typecast);
}
