// java wrapper for vtkFixedPointVolumeRayCastMIPHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedPointVolumeRayCastMIPHelper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkFixedPointVolumeRayCastHelper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFixedPointVolumeRayCastMIPHelper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFixedPointVolumeRayCastMIPHelper",dType)) { return me; }
  if ((res= vtkFixedPointVolumeRayCastHelper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMIPHelper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMIPHelper *op;
  const char    *temp20;

  op = (vtkFixedPointVolumeRayCastMIPHelper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMIPHelper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMIPHelper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFixedPointVolumeRayCastMIPHelper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFixedPointVolumeRayCastMIPHelper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMIPHelper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMIPHelper_GenerateImage_12(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2,jobject id3)
{
  vtkFixedPointVolumeRayCastMIPHelper *op;
  int      temp0;
  int      temp1;
  vtkVolume  *temp2;
  vtkFixedPointVolumeRayCastMapper  *temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkVolume"));
  temp3 = (vtkFixedPointVolumeRayCastMapper *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkFixedPointVolumeRayCastMapper"));

  op = (vtkFixedPointVolumeRayCastMIPHelper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMIPHelper");
  op->GenerateImage(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFixedPointVolumeRayCastMIPHelper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMIPHelper *aNewOne = vtkFixedPointVolumeRayCastMIPHelper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFixedPointVolumeRayCastMIPHelper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFixedPointVolumeRayCastMIPHelper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFixedPointVolumeRayCastMIPHelper_Typecast);
}
