// java wrapper for vtkProjectedTetrahedraMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProjectedTetrahedraMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProjectedTetrahedraMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProjectedTetrahedraMapper",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  const char    *temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProjectedTetrahedraMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetVisibilitySort_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProjectedTetrahedraMapper *op;
  vtkVisibilitySort  *temp0;
  temp0 = (vtkVisibilitySort *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkVisibilitySort"));

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SetVisibilitySort(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetVisibilitySort_13(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  vtkVisibilitySort  *temp20;
  jobject tempH;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->GetVisibilitySort();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkVisibilitySort", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetScalarMode_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkProjectedTetrahedraMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetScalarMode_15(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  int      temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetScalarModeToDefault_16(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SetScalarModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetScalarModeToUsePointData_17(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SetScalarModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetScalarModeToUseCellData_18(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SetScalarModeToUseCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetScalarModeToUsePointFieldData_19(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SetScalarModeToUsePointFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetScalarModeToUseCellFieldData_110(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SetScalarModeToUseCellFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SelectScalarArray_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkProjectedTetrahedraMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SelectScalarArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SelectScalarArray_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProjectedTetrahedraMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->SelectScalarArray(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetArrayName_113(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  char    *temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetArrayId_114(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  int      temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->GetArrayId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetArrayAccessMode_115(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  int      temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->GetArrayAccessMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetScalarModeAsString_116(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  const char    *temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  temp20 = (op)->GetScalarModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_Render_117(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkProjectedTetrahedraMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkVolume"));

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_ReleaseGraphicsResources_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProjectedTetrahedraMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_MapScalarsToColors_119(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkProjectedTetrahedraMapper *op;
  vtkDataArray  *temp0;
  vtkVolume  *temp1;
  vtkDataArray  *temp2;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkVolume"));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDataArray"));

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProjectedTetrahedraMapper");
  op->MapScalarsToColors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProjectedTetrahedraMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *aNewOne = vtkProjectedTetrahedraMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProjectedTetrahedraMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProjectedTetrahedraMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProjectedTetrahedraMapper_Typecast);
}
