// java wrapper for vtkOrientationMarkerWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrientationMarkerWidget.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOrientationMarkerWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOrientationMarkerWidget",dType)) { return me; }
  if ((res= vtkInteractorObserver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOrientationMarkerWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOrientationMarkerWidget *op;
  const char    *temp20;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientationMarkerWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOrientationMarkerWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientationMarkerWidget_SetOrientationMarker_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientationMarkerWidget *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  op->SetOrientationMarker(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkOrientationMarkerWidget_GetOrientationMarker_13(JNIEnv *env, jobject obj)
{
  vtkOrientationMarkerWidget *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  temp20 = (op)->GetOrientationMarker();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientationMarkerWidget_SetEnabled_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrientationMarkerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientationMarkerWidget_SetInteractive_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrientationMarkerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  op->SetInteractive(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientationMarkerWidget_GetInteractive_16(JNIEnv *env, jobject obj)
{
  vtkOrientationMarkerWidget *op;
  int      temp20;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  temp20 = (op)->GetInteractive();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientationMarkerWidget_InteractiveOn_17(JNIEnv *env, jobject obj)
{
  vtkOrientationMarkerWidget *op;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  op->InteractiveOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientationMarkerWidget_InteractiveOff_18(JNIEnv *env, jobject obj)
{
  vtkOrientationMarkerWidget *op;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  op->InteractiveOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientationMarkerWidget_SetOutlineColor_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkOrientationMarkerWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  op->SetOutlineColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientationMarkerWidget_SetViewport_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkOrientationMarkerWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkOrientationMarkerWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOrientationMarkerWidget");
  op->SetViewport(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOrientationMarkerWidget_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOrientationMarkerWidget *aNewOne = vtkOrientationMarkerWidget::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOrientationMarkerWidget_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOrientationMarkerWidget_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOrientationMarkerWidget_Typecast);
}
