// java wrapper for vtkScalarBarWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarBarWidget.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarBarWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarBarWidget",dType)) { return me; }
  if ((res= vtkInteractorObserver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarBarWidget *op;
  const char    *temp20;

  op = (vtkScalarBarWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarWidget");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarWidget");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarWidget_SetScalarBarActor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarWidget *op;
  vtkScalarBarActor  *temp0;
  temp0 = (vtkScalarBarActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkScalarBarActor"));

  op = (vtkScalarBarWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarWidget");
  op->SetScalarBarActor(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkScalarBarWidget_GetScalarBarActor_13(JNIEnv *env, jobject obj)
{
  vtkScalarBarWidget *op;
  vtkScalarBarActor  *temp20;
  jobject tempH;

  op = (vtkScalarBarWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarWidget");
  temp20 = (op)->GetScalarBarActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkScalarBarActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarWidget_SetEnabled_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarWidget");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkScalarBarWidget_VTKInit(JNIEnv *env, jobject obj)
{
  vtkScalarBarWidget *aNewOne = vtkScalarBarWidget::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkScalarBarWidget_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkScalarBarWidget_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkScalarBarWidget_Typecast);
}
