// java wrapper for vtkXYPlotWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXYPlotWidget.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXYPlotWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXYPlotWidget",dType)) { return me; }
  if ((res= vtkInteractorObserver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXYPlotWidget *op;
  const char    *temp20;

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotWidget");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYPlotWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotWidget");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotWidget_SetXYPlotActor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotWidget *op;
  vtkXYPlotActor  *temp0;
  temp0 = (vtkXYPlotActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXYPlotActor"));

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotWidget");
  op->SetXYPlotActor(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXYPlotWidget_GetXYPlotActor_13(JNIEnv *env, jobject obj)
{
  vtkXYPlotWidget *op;
  vtkXYPlotActor  *temp20;
  jobject tempH;

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotWidget");
  temp20 = (op)->GetXYPlotActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXYPlotActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotWidget_SetEnabled_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXYPlotWidget");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXYPlotWidget_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXYPlotWidget *aNewOne = vtkXYPlotWidget::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXYPlotWidget_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXYPlotWidget_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXYPlotWidget_Typecast);
}
