// java wrapper for vtkDataArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  const char    *temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  int      temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetDataTypeSize_15(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  int      temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetDataTypeSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetDataTypeSize_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  int      temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetDataTypeSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetNumberOfComponents_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetNumberOfComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetNumberOfComponentsMinValue_18(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  int      temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetNumberOfComponentsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetNumberOfComponentsMaxValue_19(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  int      temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetNumberOfComponentsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetNumberOfComponents_110(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  int      temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetNumberOfTuples_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetNumberOfTuples(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetNumberOfTuples_112(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  vtkIdType   temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetNumberOfTuples();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataArray_GetTuple1_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetTuple1(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataArray_GetTuple2_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetTuple2(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataArray_GetTuple3_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetTuple3(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataArray_GetTuple4_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetTuple4(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataArray_GetTuple9_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetTuple9(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,9);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_GetTuples_118(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataArray *op;
  vtkIdList  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->GetTuples(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_GetTuples_119(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkDataArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDataArray"));

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->GetTuples(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetTuple1_120(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetTuple1(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetTuple2_121(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetTuple2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetTuple3_122(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetTuple3(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetTuple4_123(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetTuple4(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetTuple9_124(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7,jdouble id8,jdouble id9)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;
  temp8 = id8;
  temp9 = id9;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertTuple1_125(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertTuple1(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertTuple2_126(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertTuple2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertTuple3_127(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertTuple3(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertTuple4_128(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertTuple4(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertTuple9_129(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7,jdouble id8,jdouble id9)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;
  temp8 = id8;
  temp9 = id9;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertNextTuple1_130(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDataArray *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertNextTuple1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertNextTuple2_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkDataArray *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertNextTuple2(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertNextTuple3_132(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDataArray *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertNextTuple3(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertNextTuple4_133(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkDataArray *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertNextTuple4(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertNextTuple9_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7,jdouble id8)
{
  vtkDataArray *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;
  temp8 = id8;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertNextTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataArray_GetComponent_135(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetComponent(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetComponent_136(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetComponent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_InsertComponent_137(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->InsertComponent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_GetData_138(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  vtkDoubleArray  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkDoubleArray"));

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->GetData(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_DeepCopy_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataArray *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_FillComponent_140(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDataArray *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->FillComponent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_CopyComponent_141(JNIEnv *env, jobject obj,jint id0,jobject id1,jint id2)
{
  vtkDataArray *op;
  int      temp0;
  vtkDataArray  *temp1;
  int      temp2;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));
  temp2 = id2;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->CopyComponent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_Squeeze_142(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_Resize_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->Resize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_Reset_144(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetSize_145(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  vtkIdType   temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetMaxId_146(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  vtkIdType   temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetMaxId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArray_GetActualMemorySize_147(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
   unsigned long     temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_CreateDefaultLookupTable_148(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->CreateDefaultLookupTable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetLookupTable_149(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataArray *op;
  vtkLookupTable  *temp0;
  temp0 = (vtkLookupTable *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkLookupTable"));

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataArray_GetLookupTable_150(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  vtkLookupTable  *temp20;
  jobject tempH;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLookupTable", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_SetName_151(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->SetName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataArray_GetName_152(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  char    *temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_GetRange_153(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkDataArray *op;
  double temp0[2];
  void *tempArray0;
  int      temp1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp1 = id1;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->GetRange(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataArray_GetRange_154(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetRange(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_ComputeRange_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->ComputeRange(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataArray_GetRange_156(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  double  *temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_GetRange_157(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataArray *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->GetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_GetDataTypeRange_158(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataArray *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->GetDataTypeRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataArray_GetDataTypeMin_159(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  double   temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetDataTypeMin();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataArray_GetDataTypeMax_160(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  double   temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetDataTypeMax();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArray_GetDataTypeRange_161(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkDataArray *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  op->GetDataTypeRange(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataArray_GetDataTypeMin_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetDataTypeMin(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataArray_GetDataTypeMax_163(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetDataTypeMax(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataArray_GetMaxNorm_164(JNIEnv *env, jobject obj)
{
  vtkDataArray *op;
  double   temp20;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->GetMaxNorm();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataArray_CreateDataArray_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArray *op;
  int      temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataArray");
  temp20 = (op)->CreateDataArray(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataArray_Typecast);
}
