// java wrapper for vtkLookupTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLookupTable.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkScalarsToColors_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLookupTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLookupTable",dType)) { return me; }
  if ((res= vtkScalarsToColors_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLookupTable_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  const char    *temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLookupTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkLookupTable *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_Build_13(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->Build();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_ForceBuild_14(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->ForceBuild();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetRamp_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkLookupTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetRamp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetRampToLinear_16(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetRampToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetRampToSCurve_17(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetRampToSCurve();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetRampToSQRT_18(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetRampToSQRT();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_GetRamp_19(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  int      temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetRamp();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetScale_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkLookupTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetScaleToLinear_111(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetScaleToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetScaleToLog10_112(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetScaleToLog10();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_GetScale_113(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  int      temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetTableRange_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLookupTable *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetTableRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetTableRange_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkLookupTable *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetTableRange(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLookupTable_GetTableRange_116(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  double  *temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetTableRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetHueRange_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkLookupTable *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetHueRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetHueRange_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLookupTable *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetHueRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLookupTable_GetHueRange_119(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  double  *temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetHueRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetSaturationRange_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkLookupTable *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetSaturationRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetSaturationRange_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLookupTable *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetSaturationRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLookupTable_GetSaturationRange_122(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  double  *temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetSaturationRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetValueRange_123(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkLookupTable *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetValueRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetValueRange_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLookupTable *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetValueRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLookupTable_GetValueRange_125(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  double  *temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetAlphaRange_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkLookupTable *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetAlphaRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetAlphaRange_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLookupTable *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetAlphaRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLookupTable_GetAlphaRange_128(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  double  *temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetAlphaRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_GetColor_129(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkLookupTable *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->GetColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLookupTable_GetOpacity_130(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLookupTable *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetOpacity(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_GetIndex_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLookupTable *op;
  double   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetNumberOfTableValues_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkLookupTable *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetNumberOfTableValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_GetNumberOfTableValues_133(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  vtkIdType   temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetNumberOfTableValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetTableValue_134(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkLookupTable *op;
  vtkIdType   temp0;
  double temp1[4];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetTableValue(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetTableValue_135(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkLookupTable *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetTableValue(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLookupTable_GetTableValue_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkLookupTable *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetTableValue(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_GetTableValue_137(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkLookupTable *op;
  vtkIdType   temp0;
  double temp1[4];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->GetTableValue(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetRange_138(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkLookupTable *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetRange_139(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLookupTable *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetNumberOfColors_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkLookupTable *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetNumberOfColors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_GetNumberOfColorsMinValue_141(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  vtkIdType   temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetNumberOfColorsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_GetNumberOfColorsMaxValue_142(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  vtkIdType   temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetNumberOfColorsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTable_GetNumberOfColors_143(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  vtkIdType   temp20;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetNumberOfColors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_SetTable_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLookupTable *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->SetTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLookupTable_GetTable_145(JNIEnv *env, jobject obj)
{
  vtkLookupTable *op;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  temp20 = (op)->GetTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTable_DeepCopy_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLookupTable *op;
  vtkLookupTable  *temp0;
  temp0 = (vtkLookupTable *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkLookupTable"));

  op = (vtkLookupTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLookupTable");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLookupTable_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLookupTable *aNewOne = vtkLookupTable::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLookupTable_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLookupTable_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLookupTable_Typecast);
}
