// java wrapper for vtkOverrideInformationCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOverrideInformationCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOverrideInformationCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOverrideInformationCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOverrideInformationCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOverrideInformationCollection *op;
  const char    *temp20;

  op = (vtkOverrideInformationCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformationCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOverrideInformationCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOverrideInformationCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOverrideInformationCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformationCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOverrideInformationCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOverrideInformationCollection *op;
  vtkOverrideInformation  *temp0;
  temp0 = (vtkOverrideInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkOverrideInformation"));

  op = (vtkOverrideInformationCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformationCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkOverrideInformationCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkOverrideInformationCollection *op;
  vtkOverrideInformation  *temp20;
  jobject tempH;

  op = (vtkOverrideInformationCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformationCollection");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkOverrideInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOverrideInformationCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOverrideInformationCollection_Typecast);
}
