// java wrapper for vtkProp object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProp.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProp_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProp",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProp_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProp *op;
  const char    *temp20;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProp *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_GetActors_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_GetActors2D_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_GetVolumes_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->GetVolumes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_SetVisibility_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkProp *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->SetVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp_GetVisibility_16(JNIEnv *env, jobject obj)
{
  vtkProp *op;
  int      temp20;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_VisibilityOn_17(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->VisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_VisibilityOff_18(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->VisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_SetPickable_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkProp *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->SetPickable(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp_GetPickable_110(JNIEnv *env, jobject obj)
{
  vtkProp *op;
  int      temp20;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetPickable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_PickableOn_111(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->PickableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_PickableOff_112(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->PickableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_Pick_113(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->Pick();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_SetDragable_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkProp *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->SetDragable(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp_GetDragable_115(JNIEnv *env, jobject obj)
{
  vtkProp *op;
  int      temp20;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetDragable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_DragableOn_116(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->DragableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_DragableOff_117(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->DragableOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp_GetRedrawMTime_118(JNIEnv *env, jobject obj)
{
  vtkProp *op;
   unsigned long     temp20;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetRedrawMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_ShallowCopy_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_InitPathTraversal_120(JNIEnv *env, jobject obj)
{
  vtkProp *op;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->InitPathTraversal();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProp_GetNextPath_121(JNIEnv *env, jobject obj)
{
  vtkProp *op;
  vtkAssemblyPath  *temp20;
  jobject tempH;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetNextPath();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAssemblyPath", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp_GetNumberOfPaths_122(JNIEnv *env, jobject obj)
{
  vtkProp *op;
  int      temp20;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetNumberOfPaths();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp_PokeMatrix_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMatrix4x4"));

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  op->PokeMatrix(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProp_GetMatrix_124(JNIEnv *env, jobject obj)
{
  vtkProp *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkProp *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProp");
  temp20 = (op)->GetMatrix();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProp_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProp_Typecast);
}
