// java wrapper for vtkCachedStreamingDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCachedStreamingDemandDrivenPipeline.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStreamingDemandDrivenPipeline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCachedStreamingDemandDrivenPipeline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCachedStreamingDemandDrivenPipeline",dType)) { return me; }
  if ((res= vtkStreamingDemandDrivenPipeline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCachedStreamingDemandDrivenPipeline *op;
  const char    *temp20;

  op = (vtkCachedStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCachedStreamingDemandDrivenPipeline");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCachedStreamingDemandDrivenPipeline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCachedStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCachedStreamingDemandDrivenPipeline");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_Update_12(JNIEnv *env, jobject obj)
{
  vtkCachedStreamingDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkCachedStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCachedStreamingDemandDrivenPipeline");
  temp20 = (op)->Update();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_Update_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkCachedStreamingDemandDrivenPipeline *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkCachedStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCachedStreamingDemandDrivenPipeline");
  temp20 = (op)->Update(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_SetCacheSize_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkCachedStreamingDemandDrivenPipeline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCachedStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCachedStreamingDemandDrivenPipeline");
  op->SetCacheSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_GetCacheSize_15(JNIEnv *env, jobject obj)
{
  vtkCachedStreamingDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkCachedStreamingDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCachedStreamingDemandDrivenPipeline");
  temp20 = (op)->GetCacheSize();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCachedStreamingDemandDrivenPipeline *aNewOne = vtkCachedStreamingDemandDrivenPipeline::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCachedStreamingDemandDrivenPipeline_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCachedStreamingDemandDrivenPipeline_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCachedStreamingDemandDrivenPipeline_Typecast);
}
