// java wrapper for vtkCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellLocator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellLocator",dType)) { return me; }
  if ((res= vtkLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  const char    *temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_SetNumberOfCellsPerBucket_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLocator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  op->SetNumberOfCellsPerBucket(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_GetNumberOfCellsPerBucketMinValue_13(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  int      temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->GetNumberOfCellsPerBucketMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_GetNumberOfCellsPerBucketMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  int      temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->GetNumberOfCellsPerBucketMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_GetNumberOfCellsPerBucket_15(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  int      temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->GetNumberOfCellsPerBucket();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_SetCacheCellBounds_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLocator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  op->SetCacheCellBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_GetCacheCellBounds_17(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  int      temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->GetCacheCellBounds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_CacheCellBoundsOn_18(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  op->CacheCellBoundsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_CacheCellBoundsOff_19(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  op->CacheCellBoundsOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCellLocator_GetCells_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLocator *op;
  int      temp0;
  vtkIdList  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->GetCells(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdList", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_GetNumberOfBuckets_111(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  int      temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  temp20 = (op)->GetNumberOfBuckets();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_FreeSearchStructure_112(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_BuildLocator_113(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_GenerateRepresentation_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCellLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPolyData"));

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellLocator");
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellLocator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCellLocator *aNewOne = vtkCellLocator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellLocator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellLocator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellLocator_Typecast);
}
