// java wrapper for vtkDataObjectCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObjectCollection *op;
  const char    *temp20;

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectCollection *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObjectCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkDataObjectCollection *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectCollection");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObjectCollection_GetItem_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectCollection *op;
  int      temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObjectCollection");
  temp20 = (op)->GetItem(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataObjectCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataObjectCollection *aNewOne = vtkDataObjectCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataObjectCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataObjectCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataObjectCollection_Typecast);
}
