// java wrapper for vtkFieldData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFieldData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFieldData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFieldData",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFieldData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;
  const char    *temp20;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFieldData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_Allocate_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkFieldData *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_CopyStructure_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFieldData *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_AllocateArrays_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkFieldData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->AllocateArrays(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_GetNumberOfArrays_16(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;
  int      temp20;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetNumberOfArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_AddArray_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFieldData *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->AddArray(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_RemoveArray_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFieldData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->RemoveArray(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFieldData_GetArray_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkFieldData *op;
  int      temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetArray(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFieldData_GetArray_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFieldData *op;
  char    *temp0;
  vtkDataArray  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetArray(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_HasArray_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFieldData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->HasArray(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFieldData_GetArrayName_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkFieldData *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_PassData_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFieldData *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->PassData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_CopyFieldOn_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFieldData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->CopyFieldOn(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_CopyFieldOff_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFieldData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->CopyFieldOff(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_CopyAllOn_116(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->CopyAllOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_CopyAllOff_117(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->CopyAllOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_DeepCopy_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFieldData *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_ShallowCopy_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFieldData *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_Squeeze_120(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_Reset_121(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_GetActualMemorySize_122(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;
   unsigned long     temp20;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_GetMTime_123(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;
   unsigned long     temp20;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_GetField_124(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkFieldData *op;
  vtkIdList  *temp0;
  vtkFieldData  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));
  temp1 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkFieldData"));

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->GetField(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_GetNumberOfComponents_125(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;
  int      temp20;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFieldData_GetNumberOfTuples_126(JNIEnv *env, jobject obj)
{
  vtkFieldData *op;
  vtkIdType   temp20;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetNumberOfTuples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_SetNumberOfTuples_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkFieldData *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->SetNumberOfTuples(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFieldData_GetComponent_128(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkFieldData *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  temp20 = (op)->GetComponent(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_SetComponent_129(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkFieldData *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->SetComponent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFieldData_InsertComponent_130(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkFieldData *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkFieldData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFieldData");
  op->InsertComponent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFieldData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkFieldData *aNewOne = vtkFieldData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFieldData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFieldData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFieldData_Typecast);
}
