// java wrapper for vtkInformationIdTypeKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationIdTypeKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationIdTypeKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationIdTypeKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationIdTypeKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationIdTypeKey *op;
  const char    *temp20;

  op = (vtkInformationIdTypeKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationIdTypeKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationIdTypeKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationIdTypeKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationIdTypeKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationIdTypeKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationIdTypeKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformationIdTypeKey *op;
  vtkInformation  *temp0;
  vtkIdType   temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkInformationIdTypeKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationIdTypeKey");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationIdTypeKey_Get_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationIdTypeKey *op;
  vtkInformation  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationIdTypeKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationIdTypeKey");
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationIdTypeKey_Has_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationIdTypeKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationIdTypeKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationIdTypeKey");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationIdTypeKey_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationIdTypeKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationIdTypeKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationIdTypeKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationIdTypeKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationIdTypeKey_Typecast);
}
