// java wrapper for vtkInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformation.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformation",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformation *op;
  const char    *temp20;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Clear_12(JNIEnv *env, jobject obj)
{
  vtkInformation *op;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Clear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Copy_13(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Copy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_15(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationDataObjectKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationDataObjectKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_16(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationDoubleVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationDoubleVectorKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_17(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationExecutivePortKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationExecutivePortKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationExecutivePortKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_18(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationInformationKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationInformationKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_19(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationInformationVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationInformationVectorKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_110(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationIntegerKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationIntegerKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_111(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationIntegerVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationIntegerVectorKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_112(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationRequestKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationRequestKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_113(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationStringKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationStringKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_114(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationUnsignedLongKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationUnsignedLongKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntries_115(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationKeyVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKeyVectorKey"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->CopyEntries(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationRequestKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationRequestKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationRequestKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_119(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  int      temp1;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerKey"));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Get_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_123(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  vtkIdType   temp1;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIdTypeKey"));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Get_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIdTypeKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIdTypeKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIdTypeKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_127(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  double   temp1;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleKey"));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInformation_Get_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  double   temp20;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_131(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerVectorKey"));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_132(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerVectorKey"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_133(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerVectorKey"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerPointerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerPointerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerPointerKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerPointerKey  *temp0;
  temp0 = (vtkInformationIntegerPointerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerPointerKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerPointerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerPointerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerPointerKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_140(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
   unsigned long     temp1;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationUnsignedLongKey"));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Get_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
   unsigned long     temp20;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationUnsignedLongKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationUnsignedLongKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationUnsignedLongKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_144(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleVectorKey"));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_145(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleVectorKey"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_146(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleVectorKey"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_147(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_149(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_150(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationKeyVectorKey"));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_151(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationKeyVectorKey"));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_152(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationKeyVectorKey"));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_153(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationKeyVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationKeyVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_155(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationKeyVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_156(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  char    *temp1;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationStringKey"));
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformation_Get_157(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  const char    *temp20;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationStringKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_158(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationStringKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationStringKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_160(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationKey"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_Get_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_162(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_163(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_164(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationVector  *temp1;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationVectorKey"));
  temp1 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationVector"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_Get_165(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationVector  *temp20;
  jobject tempH;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationVector", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_166(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_168(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  vtkObjectBase  *temp1;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationObjectBaseKey"));
  temp1 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkObjectBase"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_Get_169(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  vtkObjectBase  *temp20;
  jobject tempH;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationObjectBaseKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObjectBase", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_170(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationObjectBaseKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_171(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationObjectBaseKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_172(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDataObjectKey"));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_Get_173(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDataObjectKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Get(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_174(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDataObjectKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_175(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDataObjectKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_176(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformationExecutivePortKey  *temp0;
  vtkExecutive  *temp1;
  int      temp2;
  temp0 = (vtkInformationExecutivePortKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortKey"));
  temp1 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkExecutive"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Set(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetExecutive_177(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortKey  *temp0;
  vtkExecutive  *temp20;
  jobject tempH;
  temp0 = (vtkInformationExecutivePortKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetExecutive(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExecutive", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_GetPort_178(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationExecutivePortKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetPort(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_179(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortKey  *temp0;
  temp0 = (vtkInformationExecutivePortKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_180(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationExecutivePortKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_181(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformationExecutivePortVectorKey  *temp0;
  vtkExecutive  *temp1;
  int      temp2;
  temp0 = (vtkInformationExecutivePortVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortVectorKey"));
  temp1 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkExecutive"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Append(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_182(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformationExecutivePortVectorKey  *temp0;
  vtkExecutive  *temp1;
  int      temp2;
  temp0 = (vtkInformationExecutivePortVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortVectorKey"));
  temp1 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkExecutive"));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_183(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationExecutivePortVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_184(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortVectorKey  *temp0;
  temp0 = (vtkInformationExecutivePortVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_185(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationExecutivePortVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_186(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDataObjectKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_187(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_188(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationDoubleVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_189(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationExecutivePortKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationExecutivePortKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationExecutivePortKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_190(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_191(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationInformationVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_192(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_193(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationIntegerVectorKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_194(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationRequestKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_195(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationStringKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_196(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetKey_197(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
  vtkInformationKey  *temp20;
  jobject tempH;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationUnsignedLongKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetKey(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Register_198(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_UnRegister_199(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_SetRequest_1100(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformationRequestKey"));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  op->SetRequest(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformation_GetRequest_1101(JNIEnv *env, jobject obj)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp20;
  jobject tempH;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformation");
  temp20 = (op)->GetRequest();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationRequestKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformation_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInformation *aNewOne = vtkInformation::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformation_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformation_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformation_Typecast);
}
