// java wrapper for vtkParametricSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricSpline.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkParametricFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParametricSpline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParametricSpline",dType)) { return me; }
  if ((res= vtkParametricFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParametricSpline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  const char    *temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParametricSpline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetDimension_12(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_Evaluate_13(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkParametricSpline *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[9];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  temp2[6] = ((jdouble *)tempArray2)[6];
  temp2[7] = ((jdouble *)tempArray2)[7];
  temp2[8] = ((jdouble *)tempArray2)[8];

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->Evaluate(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  ((jdouble *)tempArray2)[6] = temp2[6];
  ((jdouble *)tempArray2)[7] = temp2[7];
  ((jdouble *)tempArray2)[8] = temp2[8];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParametricSpline_EvaluateScalar_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkParametricSpline *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[9];
  void *tempArray2;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  temp2[6] = ((jdouble *)tempArray2)[6];
  temp2[7] = ((jdouble *)tempArray2)[7];
  temp2[8] = ((jdouble *)tempArray2)[8];

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->EvaluateScalar(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  ((jdouble *)tempArray2)[6] = temp2[6];
  ((jdouble *)tempArray2)[7] = temp2[7];
  ((jdouble *)tempArray2)[8] = temp2[8];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetXSpline_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkSpline"));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetXSpline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetYSpline_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkSpline"));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetYSpline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetZSpline_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkSpline"));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetZSpline(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParametricSpline_GetXSpline_18(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkSpline  *temp20;
  jobject tempH;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetXSpline();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkSpline", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParametricSpline_GetYSpline_19(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkSpline  *temp20;
  jobject tempH;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetYSpline();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkSpline", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParametricSpline_GetZSpline_110(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkSpline  *temp20;
  jobject tempH;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetZSpline();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkSpline", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetPoints_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParametricSpline_GetPoints_112(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkPoints  *temp20;
  jobject tempH;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetPoints();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetClosed_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetClosed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetClosed_114(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetClosed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ClosedOn_115(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->ClosedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ClosedOff_116(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->ClosedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetParameterizeByLength_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetParameterizeByLength(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetParameterizeByLength_118(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetParameterizeByLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ParameterizeByLengthOn_119(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->ParameterizeByLengthOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ParameterizeByLengthOff_120(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->ParameterizeByLengthOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetLeftConstraint_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetLeftConstraint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetLeftConstraintMinValue_122(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetLeftConstraintMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetLeftConstraintMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetLeftConstraintMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetLeftConstraint_124(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetLeftConstraint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetRightConstraint_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetRightConstraint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetRightConstraintMinValue_126(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetRightConstraintMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetRightConstraintMaxValue_127(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetRightConstraintMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetRightConstraint_128(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetRightConstraint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetLeftValue_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParametricSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetLeftValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParametricSpline_GetLeftValue_130(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  double   temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetLeftValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetRightValue_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParametricSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  op->SetRightValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParametricSpline_GetRightValue_132(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  double   temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricSpline");
  temp20 = (op)->GetRightValue();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkParametricSpline_VTKInit(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *aNewOne = vtkParametricSpline::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkParametricSpline_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkParametricSpline_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkParametricSpline_Typecast);
}
