// java wrapper for vtkPolyDataToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataToPolyDataFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataToPolyDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataToPolyDataFilter",dType)) { return me; }
  if ((res= vtkPolyDataSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataToPolyDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataToPolyDataFilter *op;
  const char    *temp20;

  op = (vtkPolyDataToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataToPolyDataFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataToPolyDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataToPolyDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataToPolyDataFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataToPolyDataFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataToPolyDataFilter *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkPolyDataToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataToPolyDataFilter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyDataToPolyDataFilter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataToPolyDataFilter *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkPolyDataToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataToPolyDataFilter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPolyDataToPolyDataFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPolyDataToPolyDataFilter_Typecast);
}
