// java wrapper for vtkGenericClip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericClip.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericClip_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericClip",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericClip_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  const char    *temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericClip *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericClip *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetValue_13(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetInsideOut_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericClip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetInsideOut_15(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_InsideOutOn_16(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_InsideOutOff_17(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetClipFunction_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericClip *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImplicitFunction"));

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SetClipFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericClip_GetClipFunction_19(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  vtkImplicitFunction  *temp20;
  jobject tempH;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetClipFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImplicitFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetGenerateClipScalars_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericClip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetGenerateClipScalars_111(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClipScalarsOn_112(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClipScalarsOff_113(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetGenerateClippedOutput_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericClip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetGenerateClippedOutput_115(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClippedOutputOn_116(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClippedOutputOff_117(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetMergeTolerance_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericClip *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SetMergeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetMergeToleranceMinValue_119(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetMergeToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetMergeToleranceMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetMergeToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetMergeTolerance_121(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetMergeTolerance();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericClip_GetClippedOutput_122(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetClippedOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetNumberOfOutputs_123(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetNumberOfOutputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetLocator_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericClip *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericClip_GetLocator_125(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_CreateDefaultLocator_126(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetMTime_127(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
   unsigned long     temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericClip_GetInputScalarsSelection_128(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  char    *temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  temp20 = (op)->GetInputScalarsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SelectInputScalars_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericClip *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericClip");
  op->SelectInputScalars(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericClip_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericClip *aNewOne = vtkGenericClip::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericClip_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericClip_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericClip_Typecast);
}
