// java wrapper for vtkGenericOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericOutlineFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericOutlineFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericOutlineFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericOutlineFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericOutlineFilter *op;
  const char    *temp20;

  op = (vtkGenericOutlineFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericOutlineFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericOutlineFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericOutlineFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericOutlineFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericOutlineFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericOutlineFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericOutlineFilter *aNewOne = vtkGenericOutlineFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericOutlineFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericOutlineFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericOutlineFilter_Typecast);
}
