// java wrapper for vtkBSPCuts object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBSPCuts.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBSPCuts_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBSPCuts",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBSPCuts_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;
  const char    *temp20;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBSPCuts");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPCuts_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBSPCuts *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBSPCuts");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_CreateCuts_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBSPCuts *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkKdNode"));

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBSPCuts");
  op->CreateCuts(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkBSPCuts_GetKdNodeTree_13(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;
  vtkKdNode  *temp20;
  jobject tempH;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBSPCuts");
  temp20 = (op)->GetKdNodeTree();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkKdNode", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPCuts_GetNumberOfCuts_14(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;
  int      temp20;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBSPCuts");
  temp20 = (op)->GetNumberOfCuts();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_PrintTree_15(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBSPCuts");
  op->PrintTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_PrintArrays_16(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBSPCuts");
  op->PrintArrays();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBSPCuts_VTKInit(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *aNewOne = vtkBSPCuts::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBSPCuts_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBSPCuts_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBSPCuts_Typecast);
}
