// java wrapper for vtkDataSetTriangleFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetTriangleFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetTriangleFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetTriangleFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetTriangleFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetTriangleFilter *op;
  const char    *temp20;

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetTriangleFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetTriangleFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetTriangleFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetTriangleFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetTriangleFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetTriangleFilter *aNewOne = vtkDataSetTriangleFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetTriangleFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetTriangleFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetTriangleFilter_Typecast);
}
