// java wrapper for vtkHierarchicalDataExtractDataSets object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalDataExtractDataSets.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkHierarchicalDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalDataExtractDataSets_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalDataExtractDataSets",dType)) { return me; }
  if ((res= vtkHierarchicalDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalDataExtractDataSets_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractDataSets *op;
  const char    *temp20;

  op = (vtkHierarchicalDataExtractDataSets *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractDataSets");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataExtractDataSets_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalDataExtractDataSets *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalDataExtractDataSets *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractDataSets");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataExtractDataSets_AddDataSet_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataExtractDataSets *op;
   unsigned int      temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataExtractDataSets *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractDataSets");
  op->AddDataSet(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataExtractDataSets_ClearDataSetList_13(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractDataSets *op;

  op = (vtkHierarchicalDataExtractDataSets *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataExtractDataSets");
  op->ClearDataSetList();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataExtractDataSets_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataExtractDataSets *aNewOne = vtkHierarchicalDataExtractDataSets::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataExtractDataSets_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataExtractDataSets_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataExtractDataSets_Typecast);
}
