// java wrapper for vtkSelectPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectPolyData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelectPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelectPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  const char    *temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetGenerateSelectionScalars_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetGenerateSelectionScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_GetGenerateSelectionScalars_13(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  int      temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetGenerateSelectionScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_GenerateSelectionScalarsOn_14(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->GenerateSelectionScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_GenerateSelectionScalarsOff_15(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->GenerateSelectionScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetInsideOut_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_GetInsideOut_17(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  int      temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_InsideOutOn_18(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_InsideOutOff_19(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetLoop_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelectPolyData *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetLoop(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSelectPolyData_GetLoop_111(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  vtkPoints  *temp20;
  jobject tempH;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetLoop();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetSelectionMode_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetSelectionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_GetSelectionModeMinValue_113(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  int      temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetSelectionModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_GetSelectionModeMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  int      temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetSelectionModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_GetSelectionMode_115(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  int      temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetSelectionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetSelectionModeToSmallestRegion_116(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetSelectionModeToSmallestRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetSelectionModeToLargestRegion_117(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetSelectionModeToLargestRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetSelectionModeToClosestPointRegion_118(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetSelectionModeToClosestPointRegion();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectPolyData_GetSelectionModeAsString_119(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  const char    *temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetSelectionModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_SetGenerateUnselectedOutput_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->SetGenerateUnselectedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_GetGenerateUnselectedOutput_121(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  int      temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetGenerateUnselectedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_GenerateUnselectedOutputOn_122(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->GenerateUnselectedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectPolyData_GenerateUnselectedOutputOff_123(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  op->GenerateUnselectedOutputOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSelectPolyData_GetUnselectedOutput_124(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetUnselectedOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSelectPolyData_GetSelectionEdges_125(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetSelectionEdges();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectPolyData_GetMTime_126(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *op;
   unsigned long     temp20;

  op = (vtkSelectPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSelectPolyData");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSelectPolyData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSelectPolyData *aNewOne = vtkSelectPolyData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSelectPolyData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSelectPolyData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSelectPolyData_Typecast);
}
