// java wrapper for vtkSortDataArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSortDataArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSortDataArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSortDataArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSortDataArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSortDataArray *op;
  const char    *temp20;

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortDataArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSortDataArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSortDataArray *op;
  vtkIdList  *temp0;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  op->Sort(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSortDataArray *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  op->Sort(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkIdList  *temp0;
  vtkIdList  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkIdList  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkDataArray  *temp0;
  vtkIdList  *temp1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSortDataArray");
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSortDataArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSortDataArray *aNewOne = vtkSortDataArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSortDataArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSortDataArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSortDataArray_Typecast);
}
