// java wrapper for vtkStructuredGridOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredGridOutlineFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredGridOutlineFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredGridOutlineFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredGridOutlineFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredGridOutlineFilter *op;
  const char    *temp20;

  op = (vtkStructuredGridOutlineFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridOutlineFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridOutlineFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredGridOutlineFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredGridOutlineFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredGridOutlineFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredGridOutlineFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStructuredGridOutlineFilter *aNewOne = vtkStructuredGridOutlineFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredGridOutlineFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredGridOutlineFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredGridOutlineFilter_Typecast);
}
