// java wrapper for vtkDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  const char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetWriteToOutputString_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetWriteToOutputString(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetWriteToOutputString_15(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetWriteToOutputString();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_WriteToOutputStringOn_16(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->WriteToOutputStringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_WriteToOutputStringOff_17(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->WriteToOutputStringOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetOutputStringLength_18(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetOutputStringLength();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetOutputString_19(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetOutputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_RegisterAndGetOutputString_110(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->RegisterAndGetOutputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetHeader_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetHeader(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetHeader_112(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetHeader();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileType_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetFileType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetFileTypeMinValue_114(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetFileTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetFileTypeMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetFileTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetFileType_116(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetFileType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileTypeToASCII_117(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetFileTypeToASCII();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileTypeToBinary_118(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetFileTypeToBinary();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetScalarsName_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetScalarsName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetScalarsName_120(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetScalarsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetVectorsName_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetVectorsName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetVectorsName_122(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetVectorsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetTensorsName_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetTensorsName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetTensorsName_124(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetTensorsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetNormalsName_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetNormalsName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetNormalsName_126(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetNormalsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetTCoordsName_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetTCoordsName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetTCoordsName_128(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetTCoordsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetLookupTableName_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetLookupTableName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetLookupTableName_130(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetLookupTableName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFieldDataName_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  op->SetFieldDataName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetFieldDataName_132(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataWriter");
  temp20 = (op)->GetFieldDataName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataWriter *aNewOne = vtkDataWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataWriter_Typecast);
}
