// java wrapper for vtkGenericMovieWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericMovieWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProcessObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericMovieWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericMovieWriter",dType)) { return me; }
  if ((res= vtkProcessObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericMovieWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;
  const char    *temp20;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericMovieWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericMovieWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericMovieWriter *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericMovieWriter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_SetFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericMovieWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericMovieWriter_GetFileName_15(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;
  char    *temp20;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_Start_16(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_Write_17(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_End_18(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  op->End();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericMovieWriter_GetError_19(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;
  int      temp20;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericMovieWriter");
  temp20 = (op)->GetError();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericMovieWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericMovieWriter_Typecast);
}
