// java wrapper for vtkImageReader2Factory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageReader2Factory.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageReader2Factory_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageReader2Factory",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2Factory_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageReader2Factory *op;
  const char    *temp20;

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageReader2Factory");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2Factory_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2Factory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageReader2Factory");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2Factory_RegisterReader_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReader2Factory *op;
  vtkImageReader2  *temp0;
  temp0 = (vtkImageReader2 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageReader2"));

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageReader2Factory");
  op->RegisterReader(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageReader2Factory_CreateImageReader2_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2Factory *op;
  char    *temp0;
  vtkImageReader2  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageReader2Factory");
  temp20 = (op)->CreateImageReader2(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageReader2", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2Factory_GetRegisteredReaders_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReader2Factory *op;
  vtkImageReader2Collection  *temp0;
  temp0 = (vtkImageReader2Collection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageReader2Collection"));

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageReader2Factory");
  op->GetRegisteredReaders(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageReader2Factory_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageReader2Factory *aNewOne = vtkImageReader2Factory::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageReader2Factory_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageReader2Factory_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageReader2Factory_Typecast);
}
