// java wrapper for vtkMCubesWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMCubesWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMCubesWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMCubesWriter",dType)) { return me; }
  if ((res= vtkPolyDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMCubesWriter *op;
  const char    *temp20;

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesWriter_SetLimitsFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesWriter");
  op->SetLimitsFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesWriter_GetLimitsFileName_13(JNIEnv *env, jobject obj)
{
  vtkMCubesWriter *op;
  char    *temp20;

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMCubesWriter");
  temp20 = (op)->GetLimitsFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMCubesWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMCubesWriter *aNewOne = vtkMCubesWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMCubesWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMCubesWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMCubesWriter_Typecast);
}
