// java wrapper for vtkMetaImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMetaImageWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMetaImageWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMetaImageWriter",dType)) { return me; }
  if ((res= vtkImageWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMetaImageWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMetaImageWriter *op;
  const char    *temp20;

  op = (vtkMetaImageWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMetaImageWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMetaImageWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMetaImageWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMetaImageWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMetaImageWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMetaImageWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageWriter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMetaImageWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMetaImageWriter *op;
  char    *temp20;

  op = (vtkMetaImageWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageWriter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMetaImageWriter_SetRAWFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMetaImageWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMetaImageWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageWriter");
  op->SetRAWFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMetaImageWriter_GetRAWFileName_15(JNIEnv *env, jobject obj)
{
  vtkMetaImageWriter *op;
  char    *temp20;

  op = (vtkMetaImageWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageWriter");
  temp20 = (op)->GetRAWFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMetaImageWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMetaImageWriter *aNewOne = vtkMetaImageWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMetaImageWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMetaImageWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMetaImageWriter_Typecast);
}
