// java wrapper for vtkPLYWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPLYWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPLYWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPLYWriter",dType)) { return me; }
  if ((res= vtkPolyDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLYWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  const char    *temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLYWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetDataByteOrder_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLYWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetDataByteOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_GetDataByteOrderMinValue_13(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  int      temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetDataByteOrderMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_GetDataByteOrderMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  int      temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetDataByteOrderMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_GetDataByteOrder_15(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  int      temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetDataByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetDataByteOrderToBigEndian_16(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetDataByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetDataByteOrderToLittleEndian_17(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetDataByteOrderToLittleEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetColorMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLYWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_GetColorMode_19(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  int      temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetColorModeToDefault_110(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetColorModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetColorModeToUniformCellColor_111(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetColorModeToUniformCellColor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetColorModeToUniformPointColor_112(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetColorModeToUniformPointColor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetColorModeToUniformColor_113(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetColorModeToUniformColor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetColorModeToOff_114(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetColorModeToOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetArrayName_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLYWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLYWriter_GetArrayName_116(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  char    *temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetComponent_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLYWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_GetComponentMinValue_118(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  int      temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_GetComponentMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  int      temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLYWriter_GetComponent_120(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  int      temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetLookupTable_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPLYWriter *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkScalarsToColors"));

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPLYWriter_GetLookupTable_122(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
  vtkScalarsToColors  *temp20;
  jobject tempH;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkScalarsToColors", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLYWriter_SetColor_123(JNIEnv *env, jobject obj,jchar id0,jchar id1,jchar id2)
{
  vtkPLYWriter *op;
   unsigned char     temp0;
   unsigned char     temp1;
   unsigned char     temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPLYWriter_GetColor_124(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *op;
   unsigned char    *temp20;

  op = (vtkPLYWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLYWriter");
  temp20 = (op)->GetColor();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPLYWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPLYWriter *aNewOne = vtkPLYWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPLYWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPLYWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPLYWriter_Typecast);
}
