// java wrapper for vtkPNMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPNMReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPNMReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPNMReader",dType)) { return me; }
  if ((res= vtkImageReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPNMReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPNMReader *op;
  const char    *temp20;

  op = (vtkPNMReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNMReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPNMReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPNMReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPNMReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNMReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPNMReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPNMReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPNMReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNMReader");
  temp20 = (op)->CanReadFile(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPNMReader_GetFileExtensions_13(JNIEnv *env, jobject obj)
{
  vtkPNMReader *op;
  const char    *temp20;

  op = (vtkPNMReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNMReader");
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPNMReader_GetDescriptiveName_14(JNIEnv *env, jobject obj)
{
  vtkPNMReader *op;
  const char    *temp20;

  op = (vtkPNMReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNMReader");
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPNMReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPNMReader *aNewOne = vtkPNMReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPNMReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPNMReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPNMReader_Typecast);
}
