// java wrapper for vtkSTLReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSTLReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSTLReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSTLReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSTLReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;
  const char    *temp20;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSTLReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSTLReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSTLReader_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;
   unsigned long     temp20;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSTLReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSTLReader_GetFileName_14(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;
  char    *temp20;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_SetMerging_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSTLReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->SetMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSTLReader_GetMerging_16(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;
  int      temp20;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  temp20 = (op)->GetMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_MergingOn_17(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->MergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_MergingOff_18(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->MergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_SetScalarTags_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkSTLReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->SetScalarTags(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSTLReader_GetScalarTags_110(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;
  int      temp20;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  temp20 = (op)->GetScalarTags();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_ScalarTagsOn_111(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->ScalarTagsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_ScalarTagsOff_112(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->ScalarTagsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_SetLocator_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSTLReader *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSTLReader_GetLocator_114(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSTLReader_CreateDefaultLocator_115(JNIEnv *env, jobject obj)
{
  vtkSTLReader *op;

  op = (vtkSTLReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSTLReader");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSTLReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSTLReader *aNewOne = vtkSTLReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSTLReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSTLReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSTLReader_Typecast);
}
