// java wrapper for vtkVolume16Reader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolume16Reader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkVolumeReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolume16Reader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolume16Reader",dType)) { return me; }
  if ((res= vtkVolumeReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolume16Reader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
  const char    *temp20;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolume16Reader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolume16Reader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetDataDimensions_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVolume16Reader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetDataDimensions(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetDataDimensions_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVolume16Reader *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetDataDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolume16Reader_GetDataDimensions_14(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
  int     *temp20;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetDataDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetDataMask_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolume16Reader *op;
   unsigned short    temp0;
  temp0 = id0;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetDataMask(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolume16Reader_GetDataMask_16(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
   unsigned short    temp20;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetDataMask();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetHeaderSize_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolume16Reader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetHeaderSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolume16Reader_GetHeaderSize_18(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
  int      temp20;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetHeaderSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetDataByteOrderToBigEndian_19(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetDataByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetDataByteOrderToLittleEndian_110(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetDataByteOrderToLittleEndian();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolume16Reader_GetDataByteOrder_111(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
  int      temp20;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetDataByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetDataByteOrder_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolume16Reader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetDataByteOrder(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolume16Reader_GetDataByteOrderAsString_113(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
  const char    *temp20;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetDataByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetSwapBytes_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolume16Reader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetSwapBytes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolume16Reader_GetSwapBytes_115(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
  int      temp20;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetSwapBytes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SwapBytesOn_116(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SwapBytesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SwapBytesOff_117(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SwapBytesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolume16Reader_SetTransform_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolume16Reader *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTransform"));

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVolume16Reader_GetTransform_119(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *op;
  vtkTransform  *temp20;
  jobject tempH;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVolume16Reader_GetImage_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolume16Reader *op;
  int      temp0;
  vtkImageData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkVolume16Reader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolume16Reader");
  temp20 = (op)->GetImage(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVolume16Reader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkVolume16Reader *aNewOne = vtkVolume16Reader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVolume16Reader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVolume16Reader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVolume16Reader_Typecast);
}
