// java wrapper for vtkXMLImageDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLImageDataWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLStructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLImageDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLImageDataWriter",dType)) { return me; }
  if ((res= vtkXMLStructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLImageDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataWriter *op;
  const char    *temp20;

  op = (vtkXMLImageDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLImageDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLImageDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLImageDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLImageDataWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataWriter *op;
  const char    *temp20;

  op = (vtkXMLImageDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLImageDataWriter");
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLImageDataWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataWriter *aNewOne = vtkXMLImageDataWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLImageDataWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLImageDataWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLImageDataWriter_Typecast);
}
