// java wrapper for vtkXMLPStructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPStructuredGridWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPStructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPStructuredGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPStructuredGridWriter",dType)) { return me; }
  if ((res= vtkXMLPStructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPStructuredGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredGridWriter *op;
  const char    *temp20;

  op = (vtkXMLPStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredGridWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPStructuredGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPStructuredGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredGridWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPStructuredGridWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredGridWriter *aNewOne = vtkXMLPStructuredGridWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPStructuredGridWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPStructuredGridWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPStructuredGridWriter_Typecast);
}
