// java wrapper for vtkXMLPolyDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPolyDataWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLUnstructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPolyDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPolyDataWriter",dType)) { return me; }
  if ((res= vtkXMLUnstructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPolyDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataWriter *op;
  const char    *temp20;

  op = (vtkXMLPolyDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPolyDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPolyDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPolyDataWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataWriter *op;
  const char    *temp20;

  op = (vtkXMLPolyDataWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataWriter");
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPolyDataWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataWriter *aNewOne = vtkXMLPolyDataWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPolyDataWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPolyDataWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPolyDataWriter_Typecast);
}
