// java wrapper for vtkXMLStructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLStructuredGridWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLStructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLStructuredGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLStructuredGridWriter",dType)) { return me; }
  if ((res= vtkXMLStructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLStructuredGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredGridWriter *op;
  const char    *temp20;

  op = (vtkXMLStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLStructuredGridWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLStructuredGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLStructuredGridWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLStructuredGridWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredGridWriter *op;
  const char    *temp20;

  op = (vtkXMLStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLStructuredGridWriter");
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLStructuredGridWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredGridWriter *aNewOne = vtkXMLStructuredGridWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLStructuredGridWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLStructuredGridWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLStructuredGridWriter_Typecast);
}
