// java wrapper for vtkImageFlip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageFlip.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageReslice_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageFlip_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageFlip",dType)) { return me; }
  if ((res= vtkImageReslice_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageFlip_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;
  const char    *temp20;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageFlip_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageFlip *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_SetFilteredAxis_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageFlip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->SetFilteredAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageFlip_GetFilteredAxis_13(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;
  int      temp20;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  temp20 = (op)->GetFilteredAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_SetFlipAboutOrigin_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageFlip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->SetFlipAboutOrigin(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageFlip_GetFlipAboutOrigin_15(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;
  int      temp20;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  temp20 = (op)->GetFlipAboutOrigin();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_FlipAboutOriginOn_16(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->FlipAboutOriginOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_FlipAboutOriginOff_17(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->FlipAboutOriginOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_SetFilteredAxes_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageFlip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->SetFilteredAxes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_SetPreserveImageExtent_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageFlip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->SetPreserveImageExtent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageFlip_GetPreserveImageExtent_110(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;
  int      temp20;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  temp20 = (op)->GetPreserveImageExtent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_PreserveImageExtentOn_111(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->PreserveImageExtentOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageFlip_PreserveImageExtentOff_112(JNIEnv *env, jobject obj)
{
  vtkImageFlip *op;

  op = (vtkImageFlip *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFlip");
  op->PreserveImageExtentOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageFlip_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageFlip *aNewOne = vtkImageFlip::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageFlip_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageFlip_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageFlip_Typecast);
}
