// java wrapper for vtkEnSightWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEnSightWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEnSightWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEnSightWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  const char    *temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetProcessNumber_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetProcessNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightWriter_GetProcessNumber_13(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  int      temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetProcessNumber();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetPath_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetPath(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightWriter_GetPath_15(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  char    *temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetPath();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetBaseName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetBaseName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightWriter_GetBaseName_17(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  char    *temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetBaseName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetFileName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightWriter_GetFileName_19(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  char    *temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetTimeStep_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightWriter_GetTimeStep_111(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  int      temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetTimeStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetGhostLevel_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightWriter_GetGhostLevel_113(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  int      temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetNumberOfBlocks_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetNumberOfBlocks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightWriter_GetNumberOfBlocks_115(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  int      temp20;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetNumberOfBlocks();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetInput_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEnSightWriter *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkEnSightWriter_GetInput_117(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_WriteCaseFile_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->WriteCaseFile(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_WriteSOSCaseFile_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->WriteSOSCaseFile(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightWriter_SetModelMetadata_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEnSightWriter *op;
  vtkModelMetadata  *temp0;
  temp0 = (vtkModelMetadata *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkModelMetadata"));

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  op->SetModelMetadata(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkEnSightWriter_GetModelMetadata_121(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *op;
  vtkModelMetadata  *temp20;
  jobject tempH;

  op = (vtkEnSightWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEnSightWriter");
  temp20 = (op)->GetModelMetadata();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkModelMetadata", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkEnSightWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkEnSightWriter *aNewOne = vtkEnSightWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkEnSightWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkEnSightWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkEnSightWriter_Typecast);
}
