// java wrapper for vtkExodusIIWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusIIWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExodusIIWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExodusIIWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusIIWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  const char    *temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusIIWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExodusIIWriter *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExodusIIWriter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetModelMetadata_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExodusIIWriter *op;
  vtkModelMetadata  *temp0;
  temp0 = (vtkModelMetadata *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkModelMetadata"));

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetModelMetadata(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExodusIIWriter_GetModelMetadata_15(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  vtkModelMetadata  *temp20;
  jobject tempH;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetModelMetadata();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkModelMetadata", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExodusIIWriter_GetOrCreateModelMetadata_16(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  vtkModelMetadata  *temp20;
  jobject tempH;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetOrCreateModelMetadata();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkModelMetadata", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetFileName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusIIWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusIIWriter_GetFileName_18(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  char    *temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetStoreDoubles_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusIIWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetStoreDoubles(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetStoreDoubles_110(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetStoreDoubles();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetGhostLevel_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusIIWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetGhostLevel_112(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetBlockIdArrayName_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusIIWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetBlockIdArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusIIWriter_GetBlockIdArrayName_114(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  char    *temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetBlockIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetWriteOutBlockIdArray_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusIIWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetWriteOutBlockIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetWriteOutBlockIdArray_116(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetWriteOutBlockIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_WriteOutBlockIdArrayOn_117(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->WriteOutBlockIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_WriteOutBlockIdArrayOff_118(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->WriteOutBlockIdArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetGlobalNodeIdArrayName_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusIIWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetGlobalNodeIdArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusIIWriter_GetGlobalNodeIdArrayName_120(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  char    *temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetGlobalNodeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetWriteOutGlobalNodeIdArray_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusIIWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetWriteOutGlobalNodeIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetWriteOutGlobalNodeIdArray_122(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetWriteOutGlobalNodeIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_WriteOutGlobalNodeIdArrayOn_123(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->WriteOutGlobalNodeIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_WriteOutGlobalNodeIdArrayOff_124(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->WriteOutGlobalNodeIdArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetGlobalElementIdArrayName_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusIIWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetGlobalElementIdArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusIIWriter_GetGlobalElementIdArrayName_126(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  char    *temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetGlobalElementIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetWriteOutGlobalElementIdArray_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusIIWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetWriteOutGlobalElementIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetWriteOutGlobalElementIdArray_128(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetWriteOutGlobalElementIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_WriteOutGlobalElementIdArrayOn_129(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->WriteOutGlobalElementIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_WriteOutGlobalElementIdArrayOff_130(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->WriteOutGlobalElementIdArrayOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetNumberOfTimeSteps_131(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetNumberOfTimeSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetCurrentTimeStep_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusIIWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetCurrentTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetCurrentTimeStep_133(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetCurrentTimeStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIIWriter_SetErrorStatus_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusIIWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  op->SetErrorStatus(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIIWriter_GetErrorStatus_135(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *op;
  int      temp20;

  op = (vtkExodusIIWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusIIWriter");
  temp20 = (op)->GetErrorStatus();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExodusIIWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExodusIIWriter *aNewOne = vtkExodusIIWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExodusIIWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExodusIIWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExodusIIWriter_Typecast);
}
