// java wrapper for vtkExtractPolyDataPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractPolyDataPiece.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractPolyDataPiece_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractPolyDataPiece",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractPolyDataPiece_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractPolyDataPiece *op;
  const char    *temp20;

  op = (vtkExtractPolyDataPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractPolyDataPiece");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractPolyDataPiece_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractPolyDataPiece *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractPolyDataPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractPolyDataPiece");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractPolyDataPiece_SetCreateGhostCells_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractPolyDataPiece *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractPolyDataPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractPolyDataPiece");
  op->SetCreateGhostCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractPolyDataPiece_GetCreateGhostCells_13(JNIEnv *env, jobject obj)
{
  vtkExtractPolyDataPiece *op;
  int      temp20;

  op = (vtkExtractPolyDataPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractPolyDataPiece");
  temp20 = (op)->GetCreateGhostCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractPolyDataPiece_CreateGhostCellsOn_14(JNIEnv *env, jobject obj)
{
  vtkExtractPolyDataPiece *op;

  op = (vtkExtractPolyDataPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractPolyDataPiece");
  op->CreateGhostCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractPolyDataPiece_CreateGhostCellsOff_15(JNIEnv *env, jobject obj)
{
  vtkExtractPolyDataPiece *op;

  op = (vtkExtractPolyDataPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractPolyDataPiece");
  op->CreateGhostCellsOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractPolyDataPiece_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractPolyDataPiece *aNewOne = vtkExtractPolyDataPiece::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractPolyDataPiece_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractPolyDataPiece_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractPolyDataPiece_Typecast);
}
