// java wrapper for vtkExtractUnstructuredGridPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractUnstructuredGridPiece.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractUnstructuredGridPiece_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractUnstructuredGridPiece",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractUnstructuredGridPiece *op;
  const char    *temp20;

  op = (vtkExtractUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUnstructuredGridPiece");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractUnstructuredGridPiece *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUnstructuredGridPiece");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_SetCreateGhostCells_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractUnstructuredGridPiece *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUnstructuredGridPiece");
  op->SetCreateGhostCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_GetCreateGhostCells_13(JNIEnv *env, jobject obj)
{
  vtkExtractUnstructuredGridPiece *op;
  int      temp20;

  op = (vtkExtractUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUnstructuredGridPiece");
  temp20 = (op)->GetCreateGhostCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_CreateGhostCellsOn_14(JNIEnv *env, jobject obj)
{
  vtkExtractUnstructuredGridPiece *op;

  op = (vtkExtractUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUnstructuredGridPiece");
  op->CreateGhostCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_CreateGhostCellsOff_15(JNIEnv *env, jobject obj)
{
  vtkExtractUnstructuredGridPiece *op;

  op = (vtkExtractUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUnstructuredGridPiece");
  op->CreateGhostCellsOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractUnstructuredGridPiece *aNewOne = vtkExtractUnstructuredGridPiece::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractUnstructuredGridPiece_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractUnstructuredGridPiece_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractUnstructuredGridPiece_Typecast);
}
