// java wrapper for vtkPPolyDataNormals object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPPolyDataNormals.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataNormals_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPPolyDataNormals_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPPolyDataNormals",dType)) { return me; }
  if ((res= vtkPolyDataNormals_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPPolyDataNormals_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPPolyDataNormals *op;
  const char    *temp20;

  op = (vtkPPolyDataNormals *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPPolyDataNormals");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPPolyDataNormals_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPPolyDataNormals *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPPolyDataNormals *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPPolyDataNormals");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPPolyDataNormals_SetPieceInvariant_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPPolyDataNormals *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPPolyDataNormals *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPPolyDataNormals");
  op->SetPieceInvariant(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPPolyDataNormals_GetPieceInvariant_13(JNIEnv *env, jobject obj)
{
  vtkPPolyDataNormals *op;
  int      temp20;

  op = (vtkPPolyDataNormals *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPPolyDataNormals");
  temp20 = (op)->GetPieceInvariant();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPPolyDataNormals_PieceInvariantOn_14(JNIEnv *env, jobject obj)
{
  vtkPPolyDataNormals *op;

  op = (vtkPPolyDataNormals *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPPolyDataNormals");
  op->PieceInvariantOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPPolyDataNormals_PieceInvariantOff_15(JNIEnv *env, jobject obj)
{
  vtkPPolyDataNormals *op;

  op = (vtkPPolyDataNormals *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPPolyDataNormals");
  op->PieceInvariantOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPPolyDataNormals_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPPolyDataNormals *aNewOne = vtkPPolyDataNormals::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPPolyDataNormals_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPPolyDataNormals_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPPolyDataNormals_Typecast);
}
