// java wrapper for vtkAxisActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxisActor2D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAxisActor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAxisActor2D",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxisActor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  const char    *temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxisActor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAxisActor2D_GetPoint1Coordinate_12(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetPoint1Coordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetPoint1_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetPoint1_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkAxisActor2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetPoint1(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAxisActor2D_GetPoint2Coordinate_15(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetPoint2Coordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetPoint2_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetPoint2_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkAxisActor2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetPoint2(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetRange_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkAxisActor2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetRange_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAxisActor2D_GetRange_110(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  double  *temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetNumberOfLabels_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetNumberOfLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetNumberOfLabelsMinValue_112(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetNumberOfLabelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetNumberOfLabelsMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetNumberOfLabelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetNumberOfLabels_114(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetNumberOfLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetLabelFormat_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxisActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetLabelFormat(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxisActor2D_GetLabelFormat_116(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  char    *temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetAdjustLabels_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetAdjustLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetAdjustLabels_118(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetAdjustLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_AdjustLabelsOn_119(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->AdjustLabelsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_AdjustLabelsOff_120(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->AdjustLabelsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_GetAdjustedRange_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->GetAdjustedRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetAdjustedNumberOfLabels_122(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetAdjustedNumberOfLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetTitle_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxisActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetTitle(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxisActor2D_GetTitle_124(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  char    *temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetTitleTextProperty_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAxisActor2D_GetTitleTextProperty_126(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTitleTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetLabelTextProperty_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAxisActor2D_GetLabelTextProperty_128(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetLabelTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetTickLength_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetTickLength(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTickLengthMinValue_130(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTickLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTickLengthMaxValue_131(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTickLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTickLength_132(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTickLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetTickOffset_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetTickOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTickOffsetMinValue_134(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTickOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTickOffsetMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTickOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTickOffset_136(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTickOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetAxisVisibility_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetAxisVisibility_138(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_AxisVisibilityOn_139(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->AxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_AxisVisibilityOff_140(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->AxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetTickVisibility_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTickVisibility_142(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_TickVisibilityOn_143(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->TickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_TickVisibilityOff_144(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->TickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetLabelVisibility_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetLabelVisibility_146(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_LabelVisibilityOn_147(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->LabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_LabelVisibilityOff_148(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->LabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetTitleVisibility_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetTitleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_GetTitleVisibility_150(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  int      temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetTitleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_TitleVisibilityOn_151(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->TitleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_TitleVisibilityOff_152(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->TitleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetFontFactor_153(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetFontFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor2D_GetFontFactorMinValue_154(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  double   temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetFontFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor2D_GetFontFactorMaxValue_155(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  double   temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetFontFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor2D_GetFontFactor_156(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  double   temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetFontFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_SetLabelFactor_157(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->SetLabelFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor2D_GetLabelFactorMinValue_158(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  double   temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetLabelFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor2D_GetLabelFactorMaxValue_159(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  double   temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetLabelFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor2D_GetLabelFactor_160(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *op;
  double   temp20;

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->GetLabelFactor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_RenderOverlay_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_RenderOpaqueGeometry_162(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor2D_RenderTranslucentGeometry_163(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_ReleaseGraphicsResources_164(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor2D_ShallowCopy_165(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkAxisActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAxisActor2D");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAxisActor2D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAxisActor2D *aNewOne = vtkAxisActor2D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAxisActor2D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAxisActor2D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAxisActor2D_Typecast);
}
