// java wrapper for vtkGenericRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericRenderWindowInteractor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkRenderWindowInteractor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericRenderWindowInteractor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericRenderWindowInteractor",dType)) { return me; }
  if ((res= vtkRenderWindowInteractor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;
  const char    *temp20;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericRenderWindowInteractor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_MouseMoveEvent_12(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->MouseMoveEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_RightButtonPressEvent_13(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->RightButtonPressEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_RightButtonReleaseEvent_14(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->RightButtonReleaseEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_LeftButtonPressEvent_15(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->LeftButtonPressEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_LeftButtonReleaseEvent_16(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->LeftButtonReleaseEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_MiddleButtonPressEvent_17(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->MiddleButtonPressEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_MiddleButtonReleaseEvent_18(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->MiddleButtonReleaseEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_MouseWheelForwardEvent_19(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->MouseWheelForwardEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_MouseWheelBackwardEvent_110(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->MouseWheelBackwardEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_ExposeEvent_111(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->ExposeEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_ConfigureEvent_112(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->ConfigureEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_EnterEvent_113(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->EnterEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_LeaveEvent_114(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->LeaveEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_TimerEvent_115(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->TimerEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_KeyPressEvent_116(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->KeyPressEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_KeyReleaseEvent_117(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->KeyReleaseEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_CharEvent_118(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->CharEvent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_ExitEvent_119(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  op->ExitEvent();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_CreateTimer_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericRenderWindowInteractor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  temp20 = (op)->CreateTimer(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericRenderWindowInteractor_DestroyTimer_121(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *op;
  int      temp20;

  op = (vtkGenericRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericRenderWindowInteractor");
  temp20 = (op)->DestroyTimer();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericRenderWindowInteractor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericRenderWindowInteractor *aNewOne = vtkGenericRenderWindowInteractor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericRenderWindowInteractor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericRenderWindowInteractor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericRenderWindowInteractor_Typecast);
}
