// java wrapper for vtkInteractorStyleFlight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleFlight.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleFlight_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleFlight",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleFlight_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  const char    *temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleFlight_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleFlight *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_JumpTo_12(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkInteractorStyleFlight *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->JumpTo(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_SetMotionStepSize_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyleFlight *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->SetMotionStepSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyleFlight_GetMotionStepSize_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  double   temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetMotionStepSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_SetMotionAccelerationFactor_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyleFlight *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->SetMotionAccelerationFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyleFlight_GetMotionAccelerationFactor_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  double   temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetMotionAccelerationFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_SetAngleStepSize_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyleFlight *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->SetAngleStepSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyleFlight_GetAngleStepSize_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  double   temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetAngleStepSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_SetAngleAccelerationFactor_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyleFlight *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->SetAngleAccelerationFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyleFlight_GetAngleAccelerationFactor_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  double   temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetAngleAccelerationFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_SetDisableMotion_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyleFlight *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->SetDisableMotion(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleFlight_GetDisableMotion_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  int      temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetDisableMotion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_DisableMotionOn_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->DisableMotionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_DisableMotionOff_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->DisableMotionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_SetRestoreUpVector_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyleFlight *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->SetRestoreUpVector(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleFlight_GetRestoreUpVector_116(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  int      temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetRestoreUpVector();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_RestoreUpVectorOn_117(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->RestoreUpVectorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_RestoreUpVectorOff_118(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->RestoreUpVectorOff();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleFlight_GetDefaultUpVector_119(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;
  double  *temp20;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  temp20 = (op)->GetDefaultUpVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_SetDefaultUpVector_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleFlight *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->SetDefaultUpVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnMouseMove_121(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnLeftButtonDown_122(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnLeftButtonUp_123(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnMiddleButtonDown_124(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnMiddleButtonUp_125(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnRightButtonDown_126(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnRightButtonUp_127(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnChar_128(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnKeyDown_129(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnKeyDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnKeyUp_130(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnKeyUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_OnTimer_131(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->OnTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_ForwardFly_132(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->ForwardFly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_ReverseFly_133(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->ReverseFly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_StartForwardFly_134(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->StartForwardFly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_EndForwardFly_135(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->EndForwardFly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_StartReverseFly_136(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->StartReverseFly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleFlight_EndReverseFly_137(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *op;

  op = (vtkInteractorStyleFlight *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleFlight");
  op->EndReverseFly();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleFlight_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleFlight *aNewOne = vtkInteractorStyleFlight::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleFlight_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleFlight_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleFlight_Typecast);
}
