// java wrapper for vtkInteractorStyleJoystickActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleJoystickActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleJoystickActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleJoystickActor",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;
  const char    *temp20;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleJoystickActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_OnMouseMove_12(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_OnLeftButtonDown_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_OnLeftButtonUp_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_OnMiddleButtonDown_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_OnMiddleButtonUp_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_OnRightButtonDown_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_OnRightButtonUp_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_Rotate_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->Rotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_Spin_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->Spin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_Pan_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_Dolly_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->Dolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleJoystickActor_UniformScale_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *op;

  op = (vtkInteractorStyleJoystickActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleJoystickActor");
  op->UniformScale();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleJoystickActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleJoystickActor *aNewOne = vtkInteractorStyleJoystickActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleJoystickActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleJoystickActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleJoystickActor_Typecast);
}
