// java wrapper for vtkInteractorStyleTrackballCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleTrackballCamera.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleTrackballCamera_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleTrackballCamera",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;
  const char    *temp20;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleTrackballCamera *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnMouseMove_12(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnLeftButtonDown_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnLeftButtonUp_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnMiddleButtonDown_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnMiddleButtonUp_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnRightButtonDown_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnRightButtonUp_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnMouseWheelForward_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnMouseWheelForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_OnMouseWheelBackward_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->OnMouseWheelBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_Rotate_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->Rotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_Spin_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->Spin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_Pan_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_Dolly_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *op;

  op = (vtkInteractorStyleTrackballCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballCamera");
  op->Dolly();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballCamera *aNewOne = vtkInteractorStyleTrackballCamera::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleTrackballCamera_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleTrackballCamera_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleTrackballCamera_Typecast);
}
