// java wrapper for vtkOOGLExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOOGLExporter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkExporter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOOGLExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOOGLExporter",dType)) { return me; }
  if ((res= vtkExporter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOOGLExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOOGLExporter *op;
  const char    *temp20;

  op = (vtkOOGLExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOOGLExporter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOOGLExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOOGLExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOOGLExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOOGLExporter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOOGLExporter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOOGLExporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOOGLExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOOGLExporter");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOOGLExporter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkOOGLExporter *op;
  char    *temp20;

  op = (vtkOOGLExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOOGLExporter");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOOGLExporter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOOGLExporter *aNewOne = vtkOOGLExporter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOOGLExporter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOOGLExporter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOOGLExporter_Typecast);
}
