// java wrapper for vtkOpenGLCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLCamera.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCamera_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLCamera_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLCamera",dType)) { return me; }
  if ((res= vtkCamera_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLCamera_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLCamera *op;
  const char    *temp20;

  op = (vtkOpenGLCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLCamera");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLCamera_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLCamera *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLCamera");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLCamera_Render_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLCamera *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkOpenGLCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLCamera");
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLCamera_UpdateViewport_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLCamera *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkOpenGLCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLCamera");
  op->UpdateViewport(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLCamera_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOpenGLCamera *aNewOne = vtkOpenGLCamera::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLCamera_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLCamera_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLCamera_Typecast);
}
