// java wrapper for vtkOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLRenderWindow.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkRenderWindow_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLRenderWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLRenderWindow",dType)) { return me; }
  if ((res= vtkRenderWindow_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderWindow *op;
  const char    *temp20;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLRenderWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderWindow_SetGlobalMaximumNumberOfMultiSamples_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  op->SetGlobalMaximumNumberOfMultiSamples(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetGlobalMaximumNumberOfMultiSamples_13(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetGlobalMaximumNumberOfMultiSamples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderWindow_SetMultiSamples_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  op->SetMultiSamples(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetMultiSamples_15(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetMultiSamples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderWindow_StereoUpdate_16(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderWindow *op;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  op->StereoUpdate();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetPixelData_17(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkUnsignedCharArray"));

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_SetPixelData_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkUnsignedCharArray"));
  temp5 = id5;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetRGBAPixelData_19(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkFloatArray"));

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_SetRGBAPixelData_110(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5,jint id6)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkFloatArray"));
  temp5 = id5;
  temp6 = id6;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetRGBACharPixelData_111(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkUnsignedCharArray"));

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_SetRGBACharPixelData_112(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5,jint id6)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkUnsignedCharArray"));
  temp5 = id5;
  temp6 = id6;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetZbufferData_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkFloatArray"));

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_SetZbufferData_114(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkFloatArray"));

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderWindow_MakeCurrent_115(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderWindow *op;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  op->MakeCurrent();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderWindow_GetDepthBufferSize_116(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  temp20 = (op)->GetDepthBufferSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderWindow_OpenGLInit_117(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderWindow *op;

  op = (vtkOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderWindow");
  op->OpenGLInit();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLRenderWindow_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLRenderWindow_Typecast);
}
