// java wrapper for vtkScalarBarActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarBarActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarBarActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarBarActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  const char    *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_RenderOpaqueGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_RenderTranslucentGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_RenderOverlay_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_ReleaseGraphicsResources_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetLookupTable_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkScalarsToColors"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkScalarBarActor_GetLookupTable_17(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkScalarsToColors  *temp20;
  jobject tempH;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkScalarsToColors", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetMaximumNumberOfColors_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetMaximumNumberOfColors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumNumberOfColorsMinValue_19(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetMaximumNumberOfColorsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumNumberOfColorsMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetMaximumNumberOfColorsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumNumberOfColors_111(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetMaximumNumberOfColors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetNumberOfLabels_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetNumberOfLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetNumberOfLabelsMinValue_113(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetNumberOfLabelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetNumberOfLabelsMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetNumberOfLabelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetNumberOfLabels_115(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetNumberOfLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetOrientation_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetOrientation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetOrientationMinValue_117(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetOrientationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetOrientationMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetOrientationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetOrientation_119(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetOrientationToHorizontal_120(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetOrientationToHorizontal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetOrientationToVertical_121(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetOrientationToVertical();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTitleTextProperty_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkScalarBarActor_GetTitleTextProperty_123(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetTitleTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetLabelTextProperty_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkScalarBarActor_GetLabelTextProperty_125(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetLabelTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetLabelFormat_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetLabelFormat(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarActor_GetLabelFormat_127(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  char    *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTitle_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->SetTitle(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarActor_GetTitle_129(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  char    *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_ShallowCopy_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarBarActor");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkScalarBarActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *aNewOne = vtkScalarBarActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkScalarBarActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkScalarBarActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkScalarBarActor_Typecast);
}
