// java wrapper for vtkFixedPointVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedPointVolumeRayCastMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFixedPointVolumeRayCastMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFixedPointVolumeRayCastMapper",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  const char    *temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetSampleDistance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetSampleDistance_13(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetInteractiveSampleDistance_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetInteractiveSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetInteractiveSampleDistance_15(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetInteractiveSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetImageSampleDistance_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMinValue_17(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetImageSampleDistance_19(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetMinimumImageSampleDistance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetMinimumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue_111(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistance_113(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetMaximumImageSampleDistance_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetMaximumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue_115(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistance_117(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetAutoAdjustSampleDistances_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetAutoAdjustSampleDistances(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue_119(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistances_121(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistances();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOn_122(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->AutoAdjustSampleDistancesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOff_123(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->AutoAdjustSampleDistancesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetNumberOfThreads_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetNumberOfThreads_125(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetIntermixIntersectingGeometry_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetIntermixIntersectingGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue_127(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue_128(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometry_129(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOn_130(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->IntermixIntersectingGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOff_131(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->IntermixIntersectingGeometryOff();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_ComputeRequiredImageSampleDistance_132(JNIEnv *env, jobject obj,jdouble id0,jobject id1)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp0;
  vtkRenderer  *temp1;
  float    temp20;
  temp0 = id0;
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->ComputeRequiredImageSampleDistance(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_ComputeRequiredImageSampleDistance_133(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float    temp0;
  vtkRenderer  *temp1;
  vtkVolume  *temp2;
  float    temp20;
  temp0 = id0;
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));
  temp2 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkVolume"));

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->ComputeRequiredImageSampleDistance(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetRenderWindow_134(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetMIPHelper_135(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkFixedPointVolumeRayCastMIPHelper  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetMIPHelper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFixedPointVolumeRayCastMIPHelper", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetCompositeHelper_136(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkFixedPointVolumeRayCastCompositeHelper  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetCompositeHelper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFixedPointVolumeRayCastCompositeHelper", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetCompositeGOHelper_137(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkFixedPointVolumeRayCastCompositeGOHelper  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetCompositeGOHelper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFixedPointVolumeRayCastCompositeGOHelper", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetCompositeGOShadeHelper_138(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkFixedPointVolumeRayCastCompositeGOShadeHelper  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetCompositeGOShadeHelper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFixedPointVolumeRayCastCompositeGOShadeHelper", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetCompositeShadeHelper_139(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkFixedPointVolumeRayCastCompositeShadeHelper  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetCompositeShadeHelper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFixedPointVolumeRayCastCompositeShadeHelper", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetTableShift_140(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float   *temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetTableShift();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetTableScale_141(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  float   *temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetTableScale();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,4);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetShadingRequired_142(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetShadingRequired();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetGradientOpacityRequired_143(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetGradientOpacityRequired();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetVolume_144(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkVolume  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetVolume();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkVolume", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_InitializeRayInfo_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkVolume  *temp0;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkVolume"));

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->InitializeRayInfo(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_ShouldUseNearestNeighborInterpolation_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkVolume  *temp0;
  int      temp20;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkVolume"));

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->ShouldUseNearestNeighborInterpolation(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_SetRayCastImage_147(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkFixedPointRayCastImage  *temp0;
  temp0 = (vtkFixedPointRayCastImage *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFixedPointRayCastImage"));

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->SetRayCastImage(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_GetRayCastImage_148(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkFixedPointRayCastImage  *temp20;
  jobject tempH;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  temp20 = (op)->GetRayCastImage();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFixedPointRayCastImage", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_PerVolumeInitialization_149(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkVolume"));

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->PerVolumeInitialization(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_PerSubVolumeInitialization_150(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  int      temp2;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkVolume"));
  temp2 = id2;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->PerSubVolumeInitialization(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_RenderSubVolume_151(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->RenderSubVolume();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_DisplayRenderedImage_152(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkFixedPointVolumeRayCastMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkVolume"));

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->DisplayRenderedImage(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_AbortRender_153(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFixedPointVolumeRayCastMapper");
  op->AbortRender();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastMapper *aNewOne = vtkFixedPointVolumeRayCastMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFixedPointVolumeRayCastMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFixedPointVolumeRayCastMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFixedPointVolumeRayCastMapper_Typecast);
}
