// java wrapper for vtkUnstructuredGridBunykRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridBunykRayCastFunction.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayCastFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridBunykRayCastFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridBunykRayCastFunction",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeRayCastFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  const char    *temp20;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridBunykRayCastFunction");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridBunykRayCastFunction");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *aNewOne = vtkUnstructuredGridBunykRayCastFunction::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridBunykRayCastFunction_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridBunykRayCastFunction_Typecast);
}
