// java wrapper for vtkVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeRayCastMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeRayCastMapper",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  const char    *temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeRayCastMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetSampleDistance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeRayCastMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetSampleDistance_13(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetVolumeRayCastFunction_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastMapper *op;
  vtkVolumeRayCastFunction  *temp0;
  temp0 = (vtkVolumeRayCastFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkVolumeRayCastFunction"));

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetVolumeRayCastFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetVolumeRayCastFunction_15(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  vtkVolumeRayCastFunction  *temp20;
  jobject tempH;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetVolumeRayCastFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkVolumeRayCastFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetGradientEstimator_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastMapper *op;
  vtkEncodedGradientEstimator  *temp0;
  temp0 = (vtkEncodedGradientEstimator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkEncodedGradientEstimator"));

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetGradientEstimator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetGradientEstimator_17(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  vtkEncodedGradientEstimator  *temp20;
  jobject tempH;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetGradientEstimator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkEncodedGradientEstimator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetGradientShader_18(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  vtkEncodedGradientShader  *temp20;
  jobject tempH;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetGradientShader();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkEncodedGradientShader", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetImageSampleDistance_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeRayCastMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetImageSampleDistanceMinValue_110(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetImageSampleDistanceMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetImageSampleDistance_112(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetMinimumImageSampleDistance_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeRayCastMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetMinimumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue_114(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetMinimumImageSampleDistance_116(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetMaximumImageSampleDistance_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeRayCastMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetMaximumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue_118(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetMaximumImageSampleDistance_120(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  double   temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetAutoAdjustSampleDistances_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetAutoAdjustSampleDistances(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue_122(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistances_124(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistances();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_AutoAdjustSampleDistancesOn_125(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->AutoAdjustSampleDistancesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_AutoAdjustSampleDistancesOff_126(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->AutoAdjustSampleDistancesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetNumberOfThreads_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetNumberOfThreads_128(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_SetIntermixIntersectingGeometry_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->SetIntermixIntersectingGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue_130(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue_131(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometry_132(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_IntermixIntersectingGeometryOn_133(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->IntermixIntersectingGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMapper_IntermixIntersectingGeometryOff_134(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVolumeRayCastMapper");
  op->IntermixIntersectingGeometryOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVolumeRayCastMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMapper *aNewOne = vtkVolumeRayCastMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVolumeRayCastMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVolumeRayCastMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVolumeRayCastMapper_Typecast);
}
